#!/usr/bin/env python3
# -*- coding:utf-8 -*-

import re

shiftRule =[
    (re.compile("<ENTITY_classifier>口灶</ENTITY_classifier>"), ("<ENTITY_classifier>口灶</ENTITY_classifier>",), ("<ENTITY_classifier>口</ENTITY_classifier><ENTITY_noun>灶</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>過</ACTION_verb>(?=<MODAL>)"), ("ACTION_verb",), ("ASPECT",)),
    (re.compile("(?<=</FUNC_degreeHead>)<ENTITY_noun>膽</ENTITY_noun>"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<ACTION_verb>上</ACTION_verb>((?=<MODIFIER>重要)|(?=<ACTION_verb>愛))"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<MODIFIER>死</MODIFIER><ACTION_verb>傷</ACTION_verb>(?=<MODIFIER>真)"), ("</MODIFIER><ACTION_verb>", "MODIFIER"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>死了</ACTION_verb><MODIFIER>後</MODIFIER>"), ("<ACTION_verb>死了</ACTION_verb><MODIFIER>後</MODIFIER>",), ("<ACTION_verb>死</ACTION_verb><RANGE_period>了後</RANGE_period>",)),
    (re.compile("<MODIFIER>死</MODIFIER>(?=<FUNC_negation>不)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>有一日</MODIFIER>"), ("<MODIFIER>有一日</MODIFIER>",), ("<ACTION_verb>有</ACTION_verb><TIME_justtime>一日</TIME_justtime>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>噸</ENTITY_classifier>(<MODIFIER>[半外]</MODIFIER>)?"), ("</ENTITY_num><ENTITY_classifier>", "</ENTITY_classifier><MODIFIER>", "ENTITY_num", "MODIFIER"), ("", "", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_classifier>只</ENTITY_classifier><FUNC_negation>不</FUNC_negation><ACTION_verb>過</ACTION_verb>"), ("<ENTITY_classifier>只</ENTITY_classifier><FUNC_negation>不</FUNC_negation><ACTION_verb>過</ACTION_verb>",), ("<MODIFIER>只</MODIFIER><FUNC_inner>不過</FUNC_inner>",)),
    (re.compile("<ACTION_verb>卸貨</ACTION_verb><ENTITY_classifier>尾</ENTITY_classifier>"),("<ACTION_verb>卸貨</ACTION_verb><ENTITY_classifier>尾</ENTITY_classifier>",), ("<ACTION_verb>卸</ACTION_verb><ENTITY_noun>貨尾</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>鼻</ENTITY_noun>(?=<ACTION_verb>會)"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_classifier>[^<點鐘]{2}</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>好過</ACTION_verb><ENTITY_classifier>日</ENTITY_classifier>"), ("<ACTION_verb>好過</ACTION_verb><ENTITY_classifier>日</ENTITY_classifier>",), ("<MODIFIER>好</MODIFIER><ACTION_verb>過日</ACTION_verb>",)),
    (re.compile("<ENTITY_noun>[一二三四五六七八九十]+</ENTITY_noun><ENTITY_classifier>[點分]鐘</ENTITY_classifier>"), ("</ENTITY_noun><ENTITY_classifier>", "ENTITY_noun", "ENTITY_classifier"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ENTITY_num>[一二三四五六七八九十]+</ENTITY_num><ENTITY_classifier>[點分]鐘</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ACTION_verb>東</ACTION_verb><ACTION_verb>掛</ACTION_verb><ACTION_verb>跋</ACTION_verb>"), ("<ACTION_verb>東</ACTION_verb><ACTION_verb>掛</ACTION_verb><ACTION_verb>跋</ACTION_verb>",), ("<ENTITY_noun>東</ENTITY_noun><ACTION_verb>掛跋</ACTION_verb>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>點鐘</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "TIME_justtime" , "TIME_justtime")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><TIME_justtime>點半</TIME_justtime>"), ("</ENTITY_num><TIME_justtime>", "ENTITY_num"), ("", "TIME_justtime")),
    (re.compile(r"<MODIFIER>([^<])</MODIFIER><MODIFIER>(\1)</MODIFIER><MODIFIER>\2</MODIFIER>"), ("</MODIFIER><MODIFIER>",), ("",),),
    (re.compile("<CLAUSE_particle>阿</CLAUSE_particle><ENTITY_oov>[^<]仔</ENTITY_oov>"), ("</CLAUSE_particle><ENTITY_oov>", "CLAUSE_particle", "ENTITY_oov"), ("", "ENTITY_person", "ENTITY_person")),
    (re.compile("<ACTION_quantifiedVerb>講講</ACTION_quantifiedVerb><ENTITY_noun>話</ENTITY_noun>"), ("<ACTION_quantifiedVerb>講講</ACTION_quantifiedVerb><ENTITY_noun>話</ENTITY_noun>",), ("<ACTION_verb>講</ACTION_verb><ACTION_verb>講話</ACTION_verb>",)),
    (re.compile("<FUNC_conjunction>莫講</FUNC_conjunction><ENTITY_noun>話</ENTITY_noun>"), ("<FUNC_conjunction>莫講</FUNC_conjunction><ENTITY_noun>話</ENTITY_noun>",), ("<FUNC_negation>莫</FUNC_negation><ACTION_verb>講話</ACTION_verb>",)),
    (re.compile("<FUNC_conjunction>莫講</FUNC_conjunction>"), ("<FUNC_conjunction>莫講</FUNC_conjunction>",), ("<FUNC_negation>莫</FUNC_negation><ACTION_verb>講</ACTION_verb>",)),
    (re.compile("<ENTITY_oov>講臺</ENTITY_oov><ENTITY_noun>語</ENTITY_noun>"), ("<ENTITY_oov>講臺</ENTITY_oov><ENTITY_noun>語</ENTITY_noun>",), ("<ACTION_verb>講</ACTION_verb><ENTITY_noun>臺語</ENTITY_noun>",)),
    (re.compile("<FUNC_conjunction>莫怪</FUNC_conjunction>"), ("<FUNC_conjunction>莫怪</FUNC_conjunction>",), ("<FUNC_negation>莫</FUNC_negation><ACTION_verb>怪</ACTION_verb>",)),
    (re.compile("<ENTITY_noun>[好歹]代</ENTITY_noun><ENTITY_oov>誌</ENTITY_oov>"), ("ENTITY_noun", "代</MODIFIER><ENTITY_oov>誌</ENTITY_oov>"), ("MODIFIER", "</MODIFIER><ENTITY_noun>代誌</ENTITY_noun>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>間仔</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("(<ENTITY_num>[^<]+</ENTITY_num>)?<MODIFIER>[百千萬]</MODIFIER><ACTION_verb>來</ACTION_verb><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</ACTION_verb><ENTITY_classifier>", "</MODIFIER><ACTION_verb>", "MODIFIER", "</ENTITY_num><ENTITY_classifier>", "ENTITY_num"), ("", "", "ENTITY_classifier", "", "ENTITY_classifier")),
    (re.compile("(<ENTITY_num>[^<]+</ENTITY_num>)?<MODIFIER>[百千萬]</MODIFIER><MODIFIER>[外多]</MODIFIER><ENTITY_classifier>回</ENTITY_classifier>"), ("</MODIFIER><ENTITY_classifier>", "</MODIFIER><MODIFIER>", "MODIFIER", "</ENTITY_num><ENTITY_classifier>", "ENTITY_num"), ("", "", "ACTION_eventQuantifier", "", "ACTION_eventQuantifier")),
    (re.compile("(<ENTITY_num>[^<]+</ENTITY_num>)?<MODIFIER>[百千萬]</MODIFIER><MODIFIER>[外多]</MODIFIER><ENTITY_classifier>[^<回]</ENTITY_classifier>"), ("</MODIFIER><ENTITY_classifier>", "</MODIFIER><MODIFIER>", "MODIFIER", "</ENTITY_num><ENTITY_classifier>", "ENTITY_num"), ("", "", "ENTITY_classifier", "", "ENTITY_classifier")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>仙</ENTITY_classifier><ENTITY_classifier>錢</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "</ENTITY_classifier><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<CLAUSE_Q>幾</CLAUSE_Q>(<MODIFIER>[萬千]</MODIFIER>)?<ENTITY_classifier>箍</ENTITY_classifier>(<ENTITY_oov>仔</ENTITY_oov>)?"), ("</CLAUSE_Q><MODIFIER>", "</CLAUSE_Q><ENTITY_classifier>", "</MODIFIER><ENTITY_classifier>", "</ENTITY_classifier><ENTITY_oov>", "CLAUSE_Q", "ENTITY_oov", "ENTITY_classifier"), ("", "", "", "", "KNOWLEDGE_currency", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<CLAUSE_Q>幾</CLAUSE_Q>(<ENTITY_num>十</ENTITY_num>)?<ENTITY_classifier>箍</ENTITY_classifier><ENTITY_oov>仔</ENTITY_oov>"), ("</CLAUSE_Q><ENTITY_num>", "</ENTITY_num><ENTITY_classifier>", "</ENTITY_classifier><ENTITY_oov>", "CLAUSE_Q", "ENTITY_oov"), ("", "", "", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<CLAUSE_Q>幾</CLAUSE_Q><ENTITY_num>十</ENTITY_num><ENTITY_classifier>箍</ENTITY_classifier>"), ("</CLAUSE_Q><ENTITY_num>", "</ENTITY_num><ENTITY_classifier>", "CLAUSE_Q", "ENTITY_classifier"), ("", "", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<KNOWLEDGE_currency>幾箍</KNOWLEDGE_currency>"), ("<KNOWLEDGE_currency>幾箍</KNOWLEDGE_currency>",), ("<CLAUSE_Q>幾</CLAUSE_Q><ENTITY_noun>箍</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>[^<]*[一二三四五六七八九十百千萬]</ENTITY_noun><ENTITY_classifier>[工日]</ENTITY_classifier>"), ("</ENTITY_noun><ENTITY_classifier>", "ENTITY_noun", "ENTITY_classifier"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("(?<!</ENTITY_num>)<MODIFIER>萬</MODIFIER><ENTITY_num>一</ENTITY_num>"), ("<MODIFIER>萬</MODIFIER><ENTITY_num>一</ENTITY_num>",), ("<FUNC_inter>萬一</FUNC_inter>",)),
    (re.compile("<ENTITY_num>[^<]+?</ENTITY_num><ENTITY_classifier>個</ENTITY_classifier><ENTITY_classifier>月</ENTITY_classifier>"), ("</ENTITY_classifier><ENTITY_classifier>", "</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>[工日]</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_classifier", "ENTITY_num"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("(?<=[這彼遐]</ENTITY_pronoun>)<ENTITY_classifier>工</ENTITY_classifier>"), ("ENTITY_classifier",), ("TIME_justtime",)),
    (re.compile("<MODIFIER>到今</MODIFIER><ENTITY_oov>仔</ENTITY_oov><ENTITY_classifier>日</ENTITY_classifier>"), ("<MODIFIER>到今</MODIFIER><ENTITY_oov>仔</ENTITY_oov><ENTITY_classifier>日</ENTITY_classifier>",), ("<ACTION_verb>到</ACTION_verb><TIME_justtime>今仔日</TIME_justtime>",)),
    (re.compile("<MODIFIER>到尾</MODIFIER><ENTITY_noun>聲</ENTITY_noun>"), ("<MODIFIER>到尾</MODIFIER><ENTITY_noun>聲</ENTITY_noun>",), ("<ACTION_verb>到</ACTION_verb><ENTITY_noun>尾聲</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>[^<]+</ACTION_verb><CLAUSE_particle>咧</CLAUSE_particle><ACTION_verb>[^<]+</ACTION_verb><CLAUSE_particle>咧</CLAUSE_particle>"), ("</ACTION_verb><CLAUSE_particle>", "</CLAUSE_particle><ACTION_verb>", "CLAUSE_particle", "ACTION_verb"), ("", "", "ACTION_quantifiedVerb", "ACTION_quantifiedVerb")),
    (re.compile("(?<!</CLAUSE_particle>)<ACTION_verb>花</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<IDIOM>腹肚枵</IDIOM>"), ("<IDIOM>腹肚枵</IDIOM>",), ("<ENTITY_noun>腹肚</ENTITY_noun><MODIFIER>枵</MODIFIER>",)),
    (re.compile("<IDIOM>無才</IDIOM><ACTION_verb>調</ACTION_verb>"), ("<IDIOM>無才</IDIOM><ACTION_verb>調</ACTION_verb>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>才調</ENTITY_noun>",)),
    (re.compile("<IDIOM>流豬哥瀾</IDIOM>"), ("<IDIOM>流豬哥瀾</IDIOM>",), ("<ACTION_verb>流</ACTION_verb><ENTITY_noun>豬哥瀾</ENTITY_noun>",)),
    (re.compile("<IDIOM>硩番薯</IDIOM>"), ("<IDIOM>硩番薯</IDIOM>",), ("<ACTION_verb>硩</ACTION_verb><ENTITY_noun>番薯</ENTITY_noun>",)),
    (re.compile("<MODIFIER>袂歹</MODIFIER><ACTION_verb>去</ACTION_verb>"), ("<MODIFIER>袂歹</MODIFIER><ACTION_verb>去</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>歹去</ACTION_verb>",)),
    (re.compile("<MODIFIER>袂使得</MODIFIER>"), ("<MODIFIER>袂使得</MODIFIER>",), ("<FUNC_negation>袂</FUNC_negation><MODAL>使得</MODAL>",)),
    (re.compile("<MODIFIER>[^<]</MODIFIER><ACTION_verb>去</ACTION_verb>"), ("</MODIFIER><ACTION_verb>", "MODIFIER"), ("", "ACTION_verb")),
    (re.compile("<MODIFIER>[好歹]</MODIFIER><ACTION_verb>[^<]</ACTION_verb>"), ("</MODIFIER><ACTION_verb>", "MODIFIER"), ("", "ACTION_verb")),
    (re.compile("(?<=</CLAUSE_Q>)<ENTITY_pronoun>遐</ENTITY_pronoun>"), ("ENTITY_pronoun",), ("FUNC_degreeHead",)),
    (re.compile("(?<=</CLAUSE_Q>)<ACTION_verb>沿</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=有</ACTION_verb>)<ACTION_verb>張</ACTION_verb>(?=<ENTITY_noun>)"), ("ACTION_verb",), ("ENTITY_classifier",)),
    (re.compile("(?<=<ENTITY_noun>姓</ENTITY_noun>)<ACTION_verb>張</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>[張包]</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ENTITY_pronoun>自</ENTITY_pronoun>(?=<MODIFIER>)"), ("ENTITY_pronoun",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>包</ACTION_verb><ENTITY_noun>紙敬</ENTITY_noun>"), ("<ACTION_verb>包</ACTION_verb><ENTITY_noun>紙敬</ENTITY_noun>",), ("<ACTION_verb>包紙</ACTION_verb><ACTION_verb>敬</ACTION_verb>",)),
    (re.compile("<FUNC_negation>毋捌</FUNC_negation>"), ("<FUNC_negation>毋捌</FUNC_negation>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>捌</ACTION_verb>",)),
    (re.compile("<CLAUSE_particle>阿</CLAUSE_particle><ENTITY_noun>[^<]</ENTITY_noun>"), ("</CLAUSE_particle><ENTITY_noun>", "CLAUSE_particle", "ENTITY_noun"), ("", "ENTITY_pronoun", "ENTITY_pronoun",)),
    (re.compile("(?<=</ENTITY_num>)<ACTION_verb>甲</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_measurement",)),
    (re.compile("<ACTION_verb>中</ACTION_verb><ACTION_verb>等</ACTION_verb>"), ("<ACTION_verb>中</ACTION_verb><ACTION_verb>等</ACTION_verb>",), ("<MODIFIER>中等</MODIFIER>",)),
    (re.compile("<ENTITY_noun>甲馬</ENTITY_noun><RANGE_locality>西</RANGE_locality><ENTITY_noun>馬</ENTITY_noun><RANGE_locality>西</RANGE_locality>"), ("<ENTITY_noun>甲馬</ENTITY_noun><RANGE_locality>西</RANGE_locality><ENTITY_noun>馬</ENTITY_noun><RANGE_locality>西</RANGE_locality>",), ("<ACTION_verb>甲</ACTION_verb><MODIFIER>馬西馬西</MODIFIER>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>倍</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<FUNC_conjunction>佇咧</FUNC_conjunction>$"), ("FUNC_conjunction",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>命</ACTION_verb>$"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_noun>手囊</ENTITY_noun>(?=<FUNC_negation>袂)"), ("<ENTITY_noun>手囊</ENTITY_noun>",), ("<ENTITY_noun>手</ENTITY_noun><ACTION_verb>囊</ACTION_verb>",)),
    (re.compile("<ENTITY_pronoun>阮</ENTITY_pronoun><ENTITY_noun>囝</ENTITY_noun>"), ("pronoun", "noun"), ("possessive", "pronoun")),
    (re.compile("(?<=</TIME_justtime>)<FUNC_conjunction>閣</FUNC_conjunction>"), ("FUNC_conjunction",), ("MODIFIER",)),
    (re.compile("<ACTION_verb>對</ACTION_verb>(?=<CLAUSE_Q>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>對</ACTION_verb>(?=<ENTITY_noun>[^<]</ENTITY_noun><RANGE_locality>)",), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>規</ACTION_verb>(?=<TIME_justtime>)"), ("ACTION_verb",), ("QUANTIFIER",)),
    (re.compile("<MODIFIER>百</MODIFIER><ENTITY_classifier>分</ENTITY_classifier><FUNC_inner>之</FUNC_inner><ENTITY_num>[^<]+</ENTITY_num>"), ("</MODIFIER><ENTITY_classifier>", "</ENTITY_classifier><FUNC_inner>", "</FUNC_inner><ENTITY_num>", "MODIFIER", "ENTITY_num"), ("", "", "", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ACTION_verb>會</ACTION_verb><ACTION_verb>著</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ACTION_verb>納貸</ACTION_verb><ACTION_verb>款</ACTION_verb>"), ("<ACTION_verb>納貸</ACTION_verb><ACTION_verb>款</ACTION_verb>",), ("<ACTION_verb>納</ACTION_verb><ENTITY_noun>貸款</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>會</ACTION_verb>(?=<MODIFIER>)"), ("ACTION_verb",), ("MODAL",)),
    (re.compile("<ACTION_verb>做歹</ACTION_verb><ENTITY_noun>囝仔</ENTITY_noun>"), ("<ACTION_verb>做歹</ACTION_verb><ENTITY_noun>囝仔</ENTITY_noun>",), ("<ACTION_verb>做</ACTION_verb><ENTITY_noun>歹囝仔</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>做歹</ACTION_verb><ENTITY_noun>囝</ENTITY_noun>"), ("<ACTION_verb>做歹</ACTION_verb><ENTITY_noun>囝</ENTITY_noun>",), ("<ACTION_verb>做</ACTION_verb><ENTITY_noun>歹囝</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>做頭</ACTION_verb><ENTITY_noun>[人家]</ENTITY_noun>"), ("<ACTION_verb>做頭</ACTION_verb><ENTITY_noun>",), ("<ACTION_verb>做</ACTION_verb><ENTITY_noun>頭",)),
    (re.compile("<ACTION_verb>攑頭</ACTION_verb><ENTITY_noun>旗</ENTITY_noun>"), ("<ACTION_verb>攑頭</ACTION_verb><ENTITY_noun>旗</ENTITY_noun>",), ("<ACTION_verb>攑</ACTION_verb><ENTITY_noun>頭旗</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>人頭</ENTITY_noun><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("<ENTITY_noun>人頭</ENTITY_noun><ENTITY_classifier>",), ("<ENTITY_noun>人</ENTITY_noun><ENTITY_classifier>頭",)),
    (re.compile("<ENTITY_classifier>頭</ENTITY_classifier><ENTITY_classifier>鍾</ENTITY_classifier>"), ("</ENTITY_classifier><ENTITY_classifier>",), ("",)),
    (re.compile("<ENTITY_classifier>頭[^<]</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_DetPhrase",)),
    (re.compile("<ENTITY_noun>歹人</ENTITY_noun><ENTITY_noun>客</ENTITY_noun>"), ("<ENTITY_noun>歹人</ENTITY_noun><ENTITY_noun>客</ENTITY_noun>",), ("<MODIFIER>歹</MODIFIER><ENTITY_noun>人客</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>做臭人</ACTION_verb>"), ("<ACTION_verb>做臭人</ACTION_verb>",), ("<ACTION_verb>做</ACTION_verb><ENTITY_noun>臭人</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>做頭</ACTION_verb><ENTITY_classifier>家</ENTITY_classifier>"), ("<ACTION_verb>做頭</ACTION_verb><ENTITY_classifier>家</ENTITY_classifier>",), ("<ACTION_verb>做</ACTION_verb><ENTITY_noun>頭家</ENTITY_noun>",)),
    (re.compile("<MODIFIER>顧家</MODIFIER><ENTITY_noun>己</ENTITY_noun>"), ("<MODIFIER>顧家</MODIFIER><ENTITY_noun>己</ENTITY_noun>",), ("<ACTION_verb>顧</ACTION_verb><ENTITY_pronoun>家己</ENTITY_pronoun>",)),
    (re.compile("<ENTITY_noun>人生</ENTITY_noun><ACTION_verb>做</ACTION_verb>(?=<MODIFIER>)"), ("<ENTITY_noun>人生</ENTITY_noun><ACTION_verb>做</ACTION_verb>",), ("<ENTITY_noun>人</ENTITY_noun><ACTION_verb>生做</ACTION_verb>",)),
    (re.compile("(?<=做</ACTION_verb>)<ACTION_verb>決定</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=</ACTION_verb>)<ENTITY_noun>電</ENTITY_noun><ACTION_verb>動</ACTION_verb>"), ("</ENTITY_noun><ACTION_verb>", "ENTITY_noun"), ("", "ACTION_verb")),
    (re.compile("(?<=</ENTITY_num>)<ACTION_verb>凹</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_noun>人才</ENTITY_noun><MODAL>會</MODAL>"), ("<ENTITY_noun>人才</ENTITY_noun><MODAL>會</MODAL>",), ("<ENTITY_noun>人</ENTITY_noun><MODAL>才會</MODAL>",)),
    (re.compile("(?<=</ENTITY_num>)<ENTITY_noun>人才</ENTITY_noun><ENTITY_noun>分</ENTITY_noun>"), ("<ENTITY_noun>人才</ENTITY_noun><ENTITY_noun>分</ENTITY_noun>",), ("<ENTITY_noun>人</ENTITY_noun><FUNC_inner>才</FUNC_inner><ACTION_verb>分</ACTION_verb>",)),
    (re.compile("<MODAL>才會</MODAL><ACTION_verb>使</ACTION_verb>"), ("<MODAL>才會</MODAL><ACTION_verb>使</ACTION_verb>",), ("<MODIFIER>才</MODIFIER><MODAL>會使</MODAL>",)),
    (re.compile("<MODIFIER>到時</MODIFIER><ENTITY_classifier>陣</ENTITY_classifier>"), ("<MODIFIER>到時</MODIFIER><ENTITY_classifier>陣</ENTITY_classifier>",), ("<ACTION_verb>到</ACTION_verb><ENTITY_noun>時陣</ENTITY_noun>",)),
    (re.compile("</MODIFIER_color><MODIFIER_color>"), ("</MODIFIER_color><MODIFIER_color>",), ("",)),
    (re.compile("<ACTION_verb>[^<]來</ACTION_verb><ACTION_verb>[^<]去</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ENTITY_noun>坐相</ENTITY_noun><ACTION_verb>倚</ACTION_verb>"), ("<ENTITY_noun>坐相</ENTITY_noun><ACTION_verb>倚</ACTION_verb>",), ("<ACTION_verb>坐</ACTION_verb><MODIFIER>相倚</MODIFIER>",)),
    (re.compile("<ACTION_verb>提頭</ACTION_verb><ENTITY_classifier>名</ENTITY_classifier>"), ("<ACTION_verb>提頭</ACTION_verb><ENTITY_classifier>名</ENTITY_classifier>",), ("<ACTION_verb>提</ACTION_verb><ENTITY_noun>頭名</ENTITY_noun>",)),
    (re.compile("(?<=夠</MODIFIER>)<ENTITY_classifier>分</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("(?<=</QUANTIFIER>)<ENTITY_classifier>分</ENTITY_classifier>(?=<FUNC_negation>)"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("(?<!</ENTITY_num>)<ENTITY_classifier>分</ENTITY_classifier><ACTION_verb>做</ACTION_verb>"), ("<ENTITY_classifier>分</ENTITY_classifier><ACTION_verb>做</ACTION_verb>",), ("<ACTION_verb>分做</ACTION_verb>",)),
    (re.compile("(?<=<ENTITY_classifier>本</ENTITY_classifier>)<ENTITY_classifier>冊</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_classifier>本</ENTITY_classifier><ACTION_verb>來</ACTION_verb>"), ("</ENTITY_classifier><ACTION_verb>", "ENTITY_classifier", "ACTION_verb"), ("", "MODIFIER", "MODIFIER")),
    (re.compile("<ENTITY_pronoun>[遮遐]</ENTITY_pronoun><MODIFIER>[大小]</MODIFIER><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</ENTITY_pronoun><MODIFIER>", "</MODIFIER><ENTITY_classifier>", "ENTITY_pronoun", "ENTITY_classifier"), ("", "", "DegreeP", "DegreeP")),
    (re.compile("<ENTITY_pronoun>[遮遐]</ENTITY_pronoun><MODIFIER>[大小]</MODIFIER><ENTITY_noun>空</ENTITY_noun>"), ("</ENTITY_pronoun><MODIFIER>", "</MODIFIER><ENTITY_noun>", "ENTITY_pronoun", "ENTITY_noun"), ("", "", "DegreeP", "DegreeP")),
    (re.compile("<ENTITY_pronoun>遮</ENTITY_pronoun><ENTITY_noun>雨</ENTITY_noun>$"), ("<ENTITY_pronoun>遮</ENTITY_pronoun><ENTITY_noun>雨</ENTITY_noun>",), ("<ACTION_verb>遮雨</ACTION_verb>",)),
    (re.compile("<ACTION_verb>遮日</ACTION_verb><ENTITY_classifier>頭</ENTITY_classifier>"), ("<ACTION_verb>遮日</ACTION_verb><ENTITY_classifier>頭</ENTITY_classifier>",), ("<ENTITY_pronoun>遮</ENTITY_pronoun><ENTITY_noun>日頭</ENTITY_noun>",)),
    (re.compile("(?<=</FUNC_degreeHead>)<ENTITY_noun>大的</ENTITY_noun>"), ("<ENTITY_noun>大的</ENTITY_noun>",), ("<MODIFIER>大</MODIFIER><FUNC_inner>的</FUNC_inner>",)),
    (re.compile("<ENTITY_noun>小人</ENTITY_noun><ACTION_verb>生</ACTION_verb>"), ("<ENTITY_noun>小人</ENTITY_noun><ACTION_verb>生</ACTION_verb>",), ("<MODIFIER>小</MODIFIER><ENTITY_noun>人生</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>大戲</ENTITY_noun><ENTITY_classifier>台</ENTITY_classifier>"), ("<ENTITY_noun>大戲</ENTITY_noun><ENTITY_classifier>台</ENTITY_classifier>",), ("<MODIFIER>大</MODIFIER><ENTITY_noun>戲台</ENTITY_noun>",)),
    (re.compile("<MODIFIER>[大細小野廣]</MODIFIER><ENTITY_noun>[^<]</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER"), ("", "ENTITY_noun")),
    (re.compile("<MODIFIER>[^<]{2}</MODIFIER><ENTITY_noun>院</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER"), ("", "ENTITY_noun")),
    (re.compile("<ACTION_verb>[^<]{2}</ACTION_verb><ENTITY_noun>院</ENTITY_noun>"), ("</ACTION_verb><ENTITY_noun>", "ACTION_verb"), ("", "ENTITY_noun")),
    (re.compile("(?<=</MODIFIER>)<ENTITY_noun>大的</ENTITY_noun>"), ("<ENTITY_noun>大的</ENTITY_noun>",), ("<MODIFIER>大</MODIFIER><FUNC_inner>的</FUNC_inner>",)),
    (re.compile("(?<=</ASPECT>)<MODIFIER>大</MODIFIER>$"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<CLAUSE_particle>咧</CLAUSE_particle>((?=<ACTION_verb>)|(?=<FUNC_conjunction>))"), ("CLAUSE_particle",), ("ASPECT",)),
    (re.compile("^<FUNC_conjunction>佮</FUNC_conjunction>"), ("FUNC_conjunction",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>[一二三四五六七八九十百千萬億兆]+</MODIFIER>"), ("MODIFIER",), ("ENTITY_num",)),
    (re.compile("<ENTITY_noun>[一二三四五六七八九十百千萬億兆]+</ENTITY_noun>"), ("ENTITY_noun",), ("ENTITY_num",)),
    (re.compile("<ENTITY_noun>三頓</ENTITY_noun>"), ("ENTITY_noun",), ("ENTITY_classifier",)),
    (re.compile("<ACTION_verb>規</ACTION_verb>((?=<ENTITY_classifier>)|(?=<ENTITY_noun>))"), ("ACTION_verb",), ("QUANTIFIER",)),
    (re.compile("<ACTION_verb>惜囝</ACTION_verb>"), ("<ACTION_verb>惜囝</ACTION_verb>",), ("<ACTION_verb>惜</ACTION_verb><ENTITY_noun>囝</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>食好料</ACTION_verb>"), ("<ACTION_verb>食好料</ACTION_verb>",), ("<ACTION_verb>食</ACTION_verb><ENTITY_noun>好料</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>拍尻川</ACTION_verb><ENTITY_noun>䫌</ENTITY_noun>"), ("<ACTION_verb>拍尻川</ACTION_verb><ENTITY_noun>䫌</ENTITY_noun>",), ("<ACTION_verb>拍</ACTION_verb><ENTITY_noun>尻川䫌</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>賰的</ENTITY_noun>"), ("<ENTITY_noun>賰的</ENTITY_noun>",), ("<MODIFIER>賰</MODIFIER><FUNC_inner>的</FUNC_inner>",)),
    (re.compile("<ACTION_verb>挲圓</ACTION_verb><ENTITY_oov>仔</ENTITY_oov>"), ("<ACTION_verb>挲圓</ACTION_verb><ENTITY_oov>仔</ENTITY_oov>",), ("<ACTION_verb>挲</ACTION_verb><ENTITY_noun>圓仔</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>𨑨迌</ACTION_verb><ENTITY_oov>仔</ENTITY_oov>"), ("</ACTION_verb><ENTITY_oov>", "ACTION_verb", "ENTITY_oov"), ("", "ENTITY_noun", "ENTITY_noun")),
    (re.compile("<ACTION_verb>無半項</ACTION_verb>"), ("<ACTION_verb>無半項</ACTION_verb>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>半項</ENTITY_noun>",)),
    (re.compile("<MODIFIER>無影</MODIFIER><ENTITY_noun>跡</ENTITY_noun>"), ("<MODIFIER>無影</MODIFIER><ENTITY_noun>跡</ENTITY_noun>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>影跡</ENTITY_noun>",)),
    (re.compile("</ENTITY_num><ENTITY_num>"), ("</ENTITY_num><ENTITY_num>",), ("",)),
    (re.compile("</ENTITY_num><MODIFIER>[捅外]</MODIFIER>"), ("</ENTITY_num><MODIFIER>", "MODIFIER"), ("", "ENTITY_num")),
    (re.compile("<ACTION_verb>緊修</ACTION_verb><ACTION_verb>理</ACTION_verb>",), ("<ACTION_verb>緊修</ACTION_verb><ACTION_verb>理</ACTION_verb>",), ("<MODIFIER>緊</MODIFIER><ACTION_verb>修理</ACTION_verb>"),),
    (re.compile("<MODIFIER>徛頭</MODIFIER><MODIFIER>前</MODIFIER>"), ("<MODIFIER>徛頭</MODIFIER><MODIFIER>前</MODIFIER>",), ("<ACTION_verb>徛</ACTION_verb><RANGE_locality>頭前</RANGE_locality>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>工</ENTITY_classifier><MODIFIER>[前後]</MODIFIER>"), ("</ENTITY_num><ENTITY_classifier>", "</ENTITY_classifier><MODIFIER>", "ENTITY_num", "MODIFIER"), ("", "", "TIME_justtime", "TIME_justtime")),
    (re.compile("(?<=上尾</MODIFIER>)<ENTITY_classifier>工</ENTITY_classifier>"), ("ENTITY_classifier",), ("TIME_justtime",)),
    (re.compile("<TIME_justtime>拜[一二三四五六七八九十]</TIME_justtime><ENTITY_classifier>个</ENTITY_classifier>"), ("<TIME_justtime>拜", "</TIME_justtime><ENTITY_classifier>"), ("<ACTION_verb>拜</ACTION_verb><ENTITY_classifier>", "")),
    (re.compile("<TIME_justtime>禮拜</TIME_justtime><ENTITY_num>[一二三四五六]</ENTITY_num>"), ("</TIME_justtime><ENTITY_num>", "ENTITY_num"), ("", "TIME_justtime")),
    (re.compile("<TIME_justtime>三月</TIME_justtime><ENTITY_num>[^<]+</ENTITY_num>"), ("</TIME_justtime><ENTITY_num>", "ENTITY_num"), ("", "TIME_justtime")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><TIME_justtime>(禮拜|日)</TIME_justtime>"), ("</ENTITY_num><TIME_justtime>", "ENTITY_num"), ("", "TIME_justtime")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><MODIFIER>[一二三四五六七八九十百千萬億兆]+</MODIFIER>"), ("</ENTITY_num><MODIFIER>", "MODIFIER"), ("", "ENTITY_num")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>[^<]*[坪斤分丈尺]</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "num", "classifier",), ("", "measurement", "measurement")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>度</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "num", "ACTION_verb",), ("", "measurement", "measurement")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>錢</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>十</ENTITY_num><ENTITY_noun>分的</ENTITY_noun>"), ("<ENTITY_num>十</ENTITY_num><ENTITY_noun>分的</ENTITY_noun>",), ("<MODIFIER>十分</MODIFIER><FUNC_inner>的</FUNC_inner>",)),
    (re.compile("((?<=</ENTITY_measurement>)|(?<=提</ACTION_verb>))<ACTION_verb>重</ACTION_verb>"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<ENTITY_oov>阿</ENTITY_oov><ENTITY_noun>[^<]</ENTITY_noun>"), ("</ENTITY_oov><ENTITY_noun>", "ENTITY_oov", "ENTITY_noun"), ("", "ENTITY_pronoun", "ENTITY_pronoun")),
    (re.compile("<CLAUSE_particle>阿</CLAUSE_particle><MODIFIER>[^<]</MODIFIER><ENTITY_oov>仔</ENTITY_oov>"), ("</CLAUSE_particle><MODIFIER>", "</MODIFIER><ENTITY_oov>", "CLAUSE_particle", "ENTITY_oov"), ("", "", "ENTITY_pronoun", "ENTITY_pronoun")),
    (re.compile("(?<=</ENTITY_num>)<ACTION_verb>排</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=</ENTITY_pronoun>)<ENTITY_noun>排列</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("(?<=</ENTITY_num><ENTITY_classifier>个</ENTITY_classifier>)<ENTITY_classifier>面</ENTITY_classifier>"), ("_classifier",), ("_noun",)),
    (re.compile("<ENTITY_noun>第</ENTITY_noun><ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>號</ACTION_verb>"), ("</ENTITY_noun><ENTITY_num>", "</ENTITY_num><ACTION_verb>", "ENTITY_noun", "ACTION_verb"), ("", "", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_noun>第</ENTITY_noun><ENTITY_num>[^<]+</ENTITY_num>((?=<MODIFIER>)|(?=<ACTION_verb>))"), ("</ENTITY_noun><ENTITY_num>", "ENTITY_noun", "ENTITY_num"), ("", "MODIFIER", "MODIFIER")),
    (re.compile("<ENTITY_noun>第</ENTITY_noun><ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</ENTITY_noun><ENTITY_num>", "</ENTITY_num><ENTITY_classifier>", "ENTITY_noun", "ENTITY_classifier"), ("", "", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_noun>第</ENTITY_noun><ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>[^<]</ENTITY_noun>"), ("</ENTITY_noun><ENTITY_num>", "</ENTITY_num><ENTITY_noun>", "ENTITY_noun"), ("", "", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_pronoun>[彼這]</ENTITY_pronoun><ACTION_verb>[張套份批]</ACTION_verb>"), ("</ENTITY_pronoun><ACTION_verb>", "pronoun", "ACTION_verb"), ("", "DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_classifier>雙</ENTITY_classifier><ENTITY_noun>份</ENTITY_noun>"), ("</ENTITY_classifier><ENTITY_noun>", "ENTITY_noun"), ("", "ENTITY_classifier")),
    (re.compile("<ENTITY_noun>好囝</ENTITY_noun><ENTITY_noun>孫</ENTITY_noun>"), ("<ENTITY_noun>好囝</ENTITY_noun>", "孫"), ("<MODIFIER>好</MODIFIER>", "囝孫",)),
    #(re.compile("<ENTITY_noun>好囝</ENTITY_noun>"), ("<ENTITY_noun>好囝</ENTITY_noun>",), ("<MODIFIER>好</MODIFIER><ENTITY_noun>囝<ENTITY_noun>",)),
    (re.compile("((?<=</FUNC_inner>)|(?<=媠</MODIFIER>))<ACTION_verb>款</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=路</ENTITY_noun>)<ACTION_verb>頂</ACTION_verb>"), ("ACTION_verb",), ("RANGE_locality",)),
    (re.compile("(?<=<MODIFIER>真</MODIFIER>)<ACTION_verb>[大小]</ACTION_verb><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</ACTION_verb><ENTITY_classifier>", "ACTION_verb", "ENTITY_classifier"), ("", "MODIFIER", "MODIFIER")),
    (re.compile("(?<=<MODIFIER>[真誠]</MODIFIER>)<ACTION_verb>重</ACTION_verb>"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("(?<=<MODIFIER>真</MODIFIER>)<ENTITY_noun>[長文]</ENTITY_noun>"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("(?<=好</MODIFIER>)<ENTITY_noun>生張</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>長</ENTITY_noun>(?=<CLAUSE_particle>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("(?<=無</FUNC_negation>)<ENTITY_noun>長</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>久長病</ENTITY_noun>"), ("<ENTITY_noun>久長病</ENTITY_noun>",), ("<MODIFIER>久長</MODIFIER><ENTITY_noun>病</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>不滿</ENTITY_noun>"), ("<ENTITY_noun>不滿</ENTITY_noun>",), ("<FUNC_negation>不</FUNC_negation><ACTION_verb>滿</ACTION_verb>",)),
    (re.compile("(?<=不</FUNC_negation>)<ACTION_verb>可</ACTION_verb>"), ("ACTION_verb",), ("MODAL",)),
    (re.compile("<MODIFIER>勉強</MODIFIER>(?!=<ENTITY)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>頓</ENTITY_noun>(?=<ENTITY_noun>.模)"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><MODIFIER>暗</MODIFIER>"), ("</ENTITY_num><MODIFIER>", "ENTITY_num", "MODIFIER"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ACTION_verb>食暗</ACTION_verb><ACTION_verb>頓</ACTION_verb>"), ("<ACTION_verb>食暗</ACTION_verb><ACTION_verb>頓</ACTION_verb>",), ("<ACTION_verb>食</ACTION_verb><ENTITY_noun>暗頓</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>食物</ENTITY_noun><ENTITY_classifier>件</ENTITY_classifier>"), ("<ENTITY_noun>食物</ENTITY_noun><ENTITY_classifier>件</ENTITY_classifier>",), ("<ACTION_verb>食</ACTION_verb><ENTITY_noun>物件</ENTITY_noun>",)),
    (re.compile("<IDIOM>是按怎</IDIOM>"), ("<IDIOM>是按怎</IDIOM>",), ("<AUX>是</AUX><CLAUSE_Q>按怎</CLAUSE_Q>",)),
    (re.compile("<AUX>是</AUX><FUNC_negation>[無毋]</FUNC_negation>$"), ("</AUX><FUNC_negation>", "AUX", "FUNC_negation"), ("", "CLAUSE_Q", "CLAUSE_Q")),
    (re.compile("(?<=<FUNC_negation>無</FUNC_negation>)<FUNC_conjunction>佇咧</FUNC_conjunction>"), ("<FUNC_conjunction>佇咧</FUNC_conjunction>",), ("<AUX>佇</AUX><CLAUSE_particle>咧</CLAUSE_particle>",)),
    (re.compile("<FUNC_conjunction>佇咧</FUNC_conjunction>(?=<ACTION_verb>)"), ("FUNC_conjunction",), ("ASPECT",)),
    (re.compile("<ENTITY_noun>尻川後</ENTITY_noun>"), ("<ENTITY_noun>尻川後</ENTITY_noun>",), ("<ENTITY_noun>尻川</ENTITY_noun><RANGE_locality>後</RANGE_locality>",)),
    (re.compile("(?<=[桌床棚]</ENTITY_noun>)<ACTION_verb>頂</ACTION_verb>"), ("ACTION_verb",), ("RANGE_locality",)),
    (re.compile("(?<=[桌床棚仔]</ENTITY_noun>)<ENTITY_classifier>跤</ENTITY_classifier>"), ("ENTITY_classifier",), ("RANGE_locality",)),
    (re.compile("<ENTITY_noun>簾簷跤</ENTITY_noun>"), ("<ENTITY_noun>簾簷跤</ENTITY_noun>",), ("<ENTITY_noun>簾簷</ENTITY_noun><RANGE_locality>跤</RANGE_locality>",)),
    (re.compile("<ENTITY_noun>會跤</ENTITY_noun>"), ("<ENTITY_noun>會跤</ENTITY_noun>",), ("<MODAL>會</MODAL><ENTITY_noun>跤</ENTITY_noun>",)),
    (re.compile("(?<=</QUANTIFIER>)<ENTITY_classifier>年</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>年</ENTITY_classifier><ACTION_verb>甲</ACTION_verb><ENTITY_classifier>班</ENTITY_classifier>"), ("classifier", "ACTION_verb"), ("noun", "noun")),
    (re.compile("<MODIFIER>少年</MODIFIER>(?=<ACTION_verb>)"), ("MODIFIER",), ("ENTITY_noun",)),
    (re.compile("<MODIFIER>也是</MODIFIER>"), ("<MODIFIER>也是</MODIFIER>",), ("<MODIFIER>也</MODIFIER><AUX>是</AUX>",)),
    (re.compile("<ENTITY_noun>小學</ENTITY_noun><MODIFIER>一下</MODIFIER>"), ("<ENTITY_noun>小學</ENTITY_noun><MODIFIER>一下</MODIFIER>",), ("<ACTION_quantifiedVerb>小學一下</ACTION_quantifiedVerb>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>年</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_classifier", "ENTITY_num"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ACTION_verb>車</ACTION_verb>(?=<ACTION_verb>駛</ACTION_verb>)"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>食人</ACTION_verb>((?=<FUNC_inner>)|(?=<ENTITY_noun>))"), ("<ACTION_verb>食人</ACTION_verb>",), ("<ACTION_verb>食</ACTION_verb><ENTITY_noun>人</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>[好歹]過</ACTION_verb><ENTITY_noun>日</ENTITY_noun>"), ("ACTION_verb", "過</MODIFIER><ENTITY_noun>日</ENTITY_noun>", ), ("MODIFIER", "</MODIFIER><ACTION_verb>過日</ACTION_verb>")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>(禮拜|[工日])</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ACTION_lightVerb>使</ACTION_lightVerb>$"), ("ACTION_lightVerb",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>認捌</ACTION_verb><ENTITY_DetPhrase>別種</ENTITY_DetPhrase>"), ("<ACTION_verb>認捌</ACTION_verb><ENTITY_DetPhrase>別種</ENTITY_DetPhrase>",), ("<ACTION_verb>認</ACTION_verb><ENTITY_DetPhrase>捌別種</ENTITY_DetPhrase>",)),
    (re.compile("(?<=</QUANTIFIER>)<ENTITY_classifier>代</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("(?<=暫</MODIFIER>)<ENTITY_classifier>代</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>袂歹</MODIFIER><ENTITY_noun>勢</ENTITY_noun>"), ("<MODIFIER>袂歹</MODIFIER><ENTITY_noun>勢</ENTITY_noun>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>歹勢</ACTION_verb>",)),
    # <NN => N>
    (re.compile("<MODIFIER>真甜真</MODIFIER>"), ("<MODIFIER>真甜真</MODIFIER>",), ("<DegreeP>真甜</DegreeP><FUNC_degreeHead>真</FUNC_degreeHead>",)),
    (re.compile("<MODIFIER>真快</MODIFIER><ACTION_verb>活</ACTION_verb>"), ("<MODIFIER>真快</MODIFIER><ACTION_verb>活</ACTION_verb>",), ("<FUNC_degreeHead>真</FUNC_degreeHead><MODIFIER>快活</MODIFIER>",)),
    (re.compile("<ACTION_verb>真充</ACTION_verb><ACTION_verb>足</ACTION_verb>"), ("<ACTION_verb>真充</ACTION_verb><ACTION_verb>足</ACTION_verb>",), ("<FUNC_degreeHead>真</FUNC_degreeHead><MODIFIER>充足</MODIFIER>",)),
    (re.compile("(?<=幾若</QUANTIFIER>)<ACTION_verb>種</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_classifier",)),
    (re.compile("(?<=</MODIFIER>)<MODIFIER>好</MODIFIER><ACTION_verb>種</ACTION_verb>"), ("<MODIFIER>好</MODIFIER><ACTION_verb>種</ACTION_verb>",), ("<ACTION_verb>好種</ACTION_verb>",)),
    (re.compile("<ACTION_verb>愛食</ACTION_verb><ACTION_verb>漿</ACTION_verb>"), ("<ACTION_verb>愛食</ACTION_verb><ACTION_verb>漿</ACTION_verb>",), ("<ACTION_verb>愛</ACTION_verb><ACTION_verb>食漿</ACTION_verb>",)),
    (re.compile("<ACTION_verb>傷</ACTION_verb><ENTITY_classifier>過</ENTITY_classifier>((?=<ACTION_verb>)|(?=<MODIFIER>))"), ("</ACTION_verb><ENTITY_classifier>", "ACTION_verb", "ENTITY_classifier"), ("", "FUNC_degreeHead", "FUNC_degreeHead")),
    (re.compile("<ACTION_verb>傷</ACTION_verb><ACTION_verb>過</ACTION_verb>(?=<MODIFIER>)"), ("</ACTION_verb><ACTION_verb>", "ACTION_verb",), ("", "FUNC_degreeHead",)),
    (re.compile("(?<=[想欲]</ACTION_verb>)<ENTITY_classifier>過</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("(?<=[活子]</ENTITY_noun>)<ENTITY_classifier>過</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>[^<]+</ENTITY_noun><ENTITY_oov>仔</ENTITY_oov>"), ("</ENTITY_noun><ENTITY_oov>", "oov"), ("", "noun")),
    (re.compile("<ENTITY_noun>笑詼齣</ENTITY_noun>"), ("<ENTITY_noun>笑詼齣</ENTITY_noun>",), ("<ENTITY_noun>笑詼</ENTITY_noun><CLAUSE_particle>齣</CLAUSE_particle>",)),
    (re.compile("<ENTITY_classifier>[^<句]+</ENTITY_classifier><ENTITY_oov>仔</ENTITY_oov>"), ("</ENTITY_classifier><ENTITY_oov>", "classifier"), ("", "noun")),
    (re.compile("<ENTITY_oov>阿[^<]</ENTITY_oov><ENTITY_noun>[^<]仔</ENTITY_noun>"), ("</ENTITY_oov><ENTITY_noun>", "ENTITY_oov"), ("", "ENTITY_noun")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>月</ENTITY_noun>(<ENTITY_noun>底</ENTITY_noun>)?"), ("</ENTITY_noun><ENTITY_noun>", "</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "", "TIME_justtime", "TIME_justtime")),
    (re.compile("<MODIFIER>([^<]+)</MODIFIER><ENTITY_oov>仔</ENTITY_oov><MODIFIER>\\1</MODIFIER>"), ("</MODIFIER><ENTITY_oov>", "</ENTITY_oov><MODIFIER>"), ("", "")),
    (re.compile("<MODIFIER>([^<]+)\\1</MODIFIER><ENTITY_oov>仔</ENTITY_oov>"), ("</MODIFIER><ENTITY_oov>", "ENTITY_oov"), ("", "MODIFIER",)),
    (re.compile("<MODIFIER>[^<]{1,2}</MODIFIER><ENTITY_oov>仔</ENTITY_oov>"), ("</MODIFIER><ENTITY_oov>", "ENTITY_oov"), ("", "MODIFIER",)),
    (re.compile("<ENTITY_classifier>月</ENTITY_classifier><ENTITY_noun>底</ENTITY_noun>"), ("</ENTITY_classifier><ENTITY_noun>", "ENTITY_classifier", "ENTITY_noun"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<MODIFIER>[<^]</MODIFIER><ENTITY_noun>事</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER"), ("", "ENTITY_noun")),
    (re.compile("<ENTITY_noun>親</ENTITY_noun>(?=<ENTITY_noun>兄弟</ENTITY_noun>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<ENTITY_noun>[^<]{1,2}</ENTITY_noun><ENTITY_noun>[族聲店部院區粉牌]</ENTITY_noun>"), ("</ENTITY_noun><ENTITY_noun>",), ("",)),
    (re.compile("<ENTITY_noun>[^<]{1,2}</ENTITY_noun><ENTITY_classifier>子</ENTITY_classifier>"), ("</ENTITY_noun><ENTITY_classifier>", "ENTITY_classifier"), ("", "ENTITY_noun")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>個</ENTITY_classifier><ENTITY_classifier>月</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "</ENTITY_classifier><ENTITY_classifier>", "ENTITY_num"), ("", "", "ENTITY_classifier")),
    (re.compile("<ENTITY_classifier>[^<筆]</ENTITY_classifier><ENTITY_classifier>[^<才筆刀雙灶水名]</ENTITY_classifier>"), ("</ENTITY_classifier><ENTITY_classifier>",), ("",)),
    (re.compile("<ACTION_verb>育𤆬</ACTION_verb><ENTITY_noun>囡仔</ENTITY_noun>"), ("<ACTION_verb>育𤆬</ACTION_verb><ENTITY_noun>囡仔</ENTITY_noun>",), ("<ACTION_verb>育</ACTION_verb><ENTITY_noun>𤆬囡仔</ENTITY_noun>",)),
    (re.compile("(?<!</FUNC_determiner>)(?<!</QUANTIFIER>)(?<!</ENTITY_num>)<ENTITY_classifier>[^<]</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("(?<=</MODIFIER>)<ACTION_verb>步</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<MODIFIER>無半步</MODIFIER>"), ("<MODIFIER>無半步</MODIFIER>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>半步</ENTITY_noun>",)),
    (re.compile("<MODIFIER>無心情</MODIFIER>"), ("<MODIFIER>無心情</MODIFIER>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>心情</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>好</ACTION_verb><ENTITY_noun>[^<]</ENTITY_noun>"), ("</ACTION_verb><ENTITY_noun>", "ACTION_verb", "ENTITY_noun"), ("", "MODIFIER", "MODIFIER")),
    (re.compile("(?<=偏</ACTION_verb>)<ENTITY_num>一</ENTITY_num><ENTITY_classifier>爿</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "RANGE_locality", "RANGE_locality")),
    (re.compile("<ENTITY_pronoun>[彼這逐恁]</ENTITY_pronoun><ENTITY_noun>[筆篇箍片爿條支枝隻幅本尾口盆台囷組班塊匹坩間粒味雙个蕊件個坵甌副項層部帖軀碗盤罐包箱籃齣句胎陣門橛目子段欉桌堵]</ENTITY_noun>"), ("</ENTITY_pronoun><ENTITY_noun>", "ENTITY_pronoun", "ENTITY_noun"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_pronoun>[彼這逐]</ENTITY_pronoun><ACTION_verb>[種排盤領把囷封帕幫束營注節緟重行袋縛款頓擔]</ACTION_verb>"), ("</ENTITY_pronoun><ACTION_verb>", "ENTITY_pronoun", "ACTION_verb"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_pronoun>[彼這逐]</ENTITY_pronoun><ACTION_verb>出</ACTION_verb>(?=<ENTITY_noun>菜)"), ("</ENTITY_pronoun><ACTION_verb>", "ENTITY_pronoun", "ACTION_verb"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_pronoun>逐</ENTITY_pronoun>(?=<ENTITY_pronoun>伊)"), ("ENTITY_pronoun",), ("ACTION_verb",)),
    (re.compile("(?<=</FUNC_negation>)<ACTION_verb>出</ACTION_verb><MODIFIER>得</MODIFIER>"), ("</ACTION_verb><MODIFIER>", "MODIFIER"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>領</ACTION_verb><ENTITY_oov>仔</ENTITY_oov>"), ("</ACTION_verb><ENTITY_oov>", "ACTION_verb", "ENTITY_oov"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ACTION_verb>規</ACTION_verb><ENTITY_noun>[^<]頂</ENTITY_noun>"), ("</ACTION_verb><ENTITY_noun>", "ACTION_verb", "ENTITY_noun"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ACTION_verb>穩定</ACTION_verb>(?=<FUNC_inner>的</FUNC_inner>)"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<ACTION_verb>急</ACTION_verb>(?=<ACTION_verb>欲)"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>受教</MODIFIER><ACTION_verb>育</ACTION_verb>"), ("<MODIFIER>受教</MODIFIER><ACTION_verb>育</ACTION_verb>",), ("<ACTION_lightVerb>受</ACTION_lightVerb><ACTION_verb>教育</ACTION_verb>",)),
    (re.compile("(?<=仔)</ENTITY_noun><ENTITY_noun>(?=子)"), ("</ENTITY_noun><ENTITY_noun>",), ("",)),
    (re.compile("<ENTITY_noun>[^<]{2}</ENTITY_noun><ENTITY_noun>科</ENTITY_noun>"), ("</ENTITY_noun><ENTITY_noun>",), ("",)),
    (re.compile("(?<=</ENTITY_DetPhrase>)<ACTION_verb>車</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>抹面</ACTION_verb><ENTITY_noun>油</ENTITY_noun>"), ("<ACTION_verb>抹面</ACTION_verb><ENTITY_noun>油</ENTITY_noun>",), ("<ACTION_verb>抹</ACTION_verb><ENTITY_noun>面油</ENTITY_noun>",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>刺</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>並</ACTION_verb>(?=<MODIFIER>愛)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<IDIOM>講大聲話</IDIOM>"), ("<IDIOM>講大聲話</IDIOM>",), ("<ACTION_verb>講</ACTION_verb><ENTITY_noun>大聲話</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>會同</ACTION_verb><ENTITY_noun>意</ENTITY_noun>"), ("<ACTION_verb>會同</ACTION_verb><ENTITY_noun>意</ENTITY_noun>",), ("<MODAL>會</MODAL><ACTION_verb>同意</ACTION_verb>",)),
    (re.compile("<MODIFIER>會得</MODIFIER><ENTITY_noun>罪</ENTITY_noun>"), ("<MODIFIER>會得</MODIFIER><ENTITY_noun>罪</ENTITY_noun>",), ("<MODAL>會</MODAL><ACTION_verb>得罪</ACTION_verb>",)),
    (re.compile("<MODIFIER>會得</MODIFIER><ACTION_verb>失</ACTION_verb>"), ("<MODIFIER>會得</MODIFIER><ACTION_verb>失</ACTION_verb>",), ("<MODAL>會</MODAL><ACTION_verb>得失</ACTION_verb>",)),
    (re.compile("<ACTION_verb>會得過</ACTION_verb><ENTITY_noun>日</ENTITY_noun>"), ("<ACTION_verb>會得過</ACTION_verb><ENTITY_noun>日</ENTITY_noun>",), ("<MODAL>會得</MODAL><ACTION_verb>過日</ACTION_verb>",)),
    # </NN => N>
    (re.compile("<ACTION_verb>([^<])</ACTION_verb><ACTION_verb>東\\1</ACTION_verb><RANGE_locality>西</RANGE_locality>"), ("</ACTION_verb><RANGE_locality>", "</ACTION_verb><ACTION_verb>", "RANGE_locality"), ("", "", "ACTION_verb")),
    (re.compile('<MODIFIER>喙臭</MODIFIER>'), ("<MODIFIER>喙臭</MODIFIER>",), ("<ENTITY_noun>喙</ENTITY_noun><MODIFIER>臭</MODIFIER>",)),
    (re.compile("<ACTION_verb>在</ACTION_verb><MODIFIER>外</MODIFIER>"), ("ACTION_verb", "MODIFIER",), ("FUNC_inner", "RANGE_locality")),
    (re.compile("<ENTITY_noun>生番</ENTITY_noun><ENTITY_noun>薯</ENTITY_noun>"), ("<ENTITY_noun>生番</ENTITY_noun><ENTITY_noun>薯</ENTITY_noun>",), ("<ACTION_verb>生</ACTION_verb><ENTITY_noun>番薯</ENTITY_noun>",)),
    (re.compile("(?<=</ENTITY_pronoun>)<MODIFIER>生成</MODIFIER>"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>生真</MODIFIER><MODIFIER>少</MODIFIER>"), ("<MODIFIER>生真</MODIFIER><MODIFIER>少</MODIFIER>",), ("<ACTION_verb>生</ACTION_verb><MODIFIER>真少</MODIFIER>",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_oov>仔</ENTITY_oov><ENTITY_num>[^<]+</ENTITY_num>"), ("</ENTITY_num><ENTITY_oov>", "</ENTITY_oov><ENTITY_num>"), ("", "")),
    (re.compile("<ACTION_verb>甲</ACTION_verb>(?=<ENTITY_noun>乙)"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("((?<=<ACTION_verb>[^<]{2}</ACTION_verb>)|(?<=<ACTION_verb>[^<]</ACTION_verb>)|(?<=</MODIFIER>))<ACTION_verb>甲</ACTION_verb>(?!$)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("((?<=<ACTION_verb>[^<]{2}</ACTION_verb>)|(?<=<ACTION_verb>[^<]</ACTION_verb>)|(?<=</MODIFIER>))<ACTION_verb>甲</ACTION_verb>(?=$)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ACTION_verb>破去?</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ENTITY_noun>風吹</ENTITY_noun><ACTION_verb>落</ACTION_verb><ACTION_verb>去</ACTION_verb>"), ("<ENTITY_noun>風吹</ENTITY_noun><ACTION_verb>落</ACTION_verb><ACTION_verb>去</ACTION_verb>",), ("<ENTITY_noun>風</ENTITY_noun><ACTION_verb>吹落去</ACTION_verb>",)),
    (re.compile("<ENTITY_noun>風吹</ENTITY_noun><ACTION_verb>甲</ACTION_verb>"), ("吹</ENTITY_noun><ACTION_verb>甲</ACTION_verb>",), ("</ENTITY_noun><ACTION_verb>吹</ACTION_verb><FUNC_inner>甲</FUNC_inner>",)),
    (re.compile("<ENTITY_noun>火燒</ENTITY_noun><ACTION_verb>甲</ACTION_verb>"), ("燒</ENTITY_noun><ACTION_verb>甲</ACTION_verb>",), ("</ENTITY_noun><ACTION_verb>燒</ACTION_verb><FUNC_inner>甲</FUNC_inner>",)),
    (re.compile("<MODIFIER>燒</MODIFIER>(?=<ENTITY_noun>)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>甲</ACTION_verb>(?=<FUNC_negation>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>甲</ACTION_verb>(?=<ENTITY_pronoun>遐</ENTITY_pronoun><MODIFIER>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("(?<=甲</FUNC_inner>)<ENTITY_pronoun>遐</ENTITY_pronoun>"), ("ENTITY_pronoun",), ("FUNC_degreeHead",)),
    (re.compile("(?<=</FUNC_inner>)<FUNC_inner>若</FUNC_inner>"), ("FUNC_inner",), ("AUX",)),
    (re.compile("<QUANTIFIER>攏共</QUANTIFIER>(?=<ENTITY_noun>)"), ("<QUANTIFIER>攏共</QUANTIFIER>",), ("<QUANTIFIER>攏</QUANTIFIER><ACTION_verb>共</ACTION_verb>",)),
    (re.compile("<MODIFIER>攏是</MODIFIER>"), ("<MODIFIER>攏是</MODIFIER>",), ("<QUANTIFIER>攏</QUANTIFIER><AUX>是</AUX>",)),
    (re.compile("<MODIFIER>曷著</MODIFIER>"), ("<MODIFIER>曷著</MODIFIER>",), ("<FUNC_inner>曷</FUNC_inner><ACTION_verb>著</ACTION_verb>",)),
    (re.compile("<ACTION_verb>袂記得</ACTION_verb>"), ("<ACTION_verb>袂記得</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>記得</ACTION_verb>",)),
    (re.compile("(?<=<FUNC_negation>袂</FUNC_negation>)<ENTITY_noun>[^<]{1,2}</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("(?<=<FUNC_negation>袂</FUNC_negation>)<ENTITY_classifier>過</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("(?<=<FUNC_negation>袂</FUNC_negation>)<ACTION_verb>順</ACTION_verb>"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("(?<=欲</ACTION_verb>)<MODIFIER>得</MODIFIER>"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ENTITY_num>[^<]{1,3}</ENTITY_num><ACTION_verb>點</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ENTITY_num>[^<]{1,3}</ENTITY_num><ACTION_verb>[擔堆對]</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("(?<=<ENTITY_pronoun>彼</ENTITY_pronoun>)<ACTION_verb>堆</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_classifier",)),
    (re.compile("<ENTITY_noun>一礐屎</ENTITY_noun>"), ("<ENTITY_noun>一礐屎</ENTITY_noun>",), ("<ENTITY_classifier>一礐</ENTITY_classifier><ENTITY_noun>屎</ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>量</ENTITY_noun>(?=<ENTITY_noun>)"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>[養分]的</ENTITY_noun>"), ("ENTITY_noun", "的</ACTION_verb>",), ("ACTION_verb", "</ACTION_verb><FUNC_inner>的</FUNC_inner>")),
    (re.compile("(?<=招夫</ACTION_verb>)<ENTITY_noun>養子</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>疼</MODIFIER>(?=<ENTITY)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("((?<=</ACTION_verb>)|(?<=</FUNC_negation>))<ACTION_verb>傷</ACTION_verb>(?=<MODIFIER>[^真])"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("(?<=</ENTITY_num>)<ENTITY_noun>碗公</ENTITY_noun>"), ("ENTITY_noun",), ("ENTITY_classifier",)),
    (re.compile("<MODIFIER>倚年</MODIFIER><ACTION_verb>節</ACTION_verb>"), ("<MODIFIER>倚年</MODIFIER><ACTION_verb>節</ACTION_verb>",), ("<ACTION_verb>倚</ACTION_verb><ENTITY_noun>年節</ENTITY_noun>",)),
    (re.compile("(?<!</FUNC_inner>)<ENTITY_noun>建議</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>輸買</ACTION_verb>"), ("<ACTION_verb>輸買</ACTION_verb>",), ("<ACTION_verb>輸</ACTION_verb><ACTION_verb>買</ACTION_verb>",)),
    (re.compile("(?<=</ENTITY_oov>)<ENTITY_noun>邊</ENTITY_noun>"), ("ENTITY_noun",), ("RANGE_locality",)),
    (re.compile("<IDIOM>行袂開跤</IDIOM>"), ("<IDIOM>行袂開跤</IDIOM>",), ("<ACTION_verb>行</ACTION_verb><FUNC_negation>袂開</FUNC_negation><ENTITY_noun>跤</ENTITY_noun>",)),
    (re.compile("(?<=>幾</CLAUSE_Q>)<ENTITY_noun>[片爿條支枝隻幅本尾口盆台囷組塊匹坩間粒味雙个蕊件個坵甌副項層部帖軀碗盤包箱籃齣句胎陣門橛目子頓癗]</ENTITY_noun>"), ("ENTITY_noun",), ("ENTITY_classifier",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>[種排領盤把囷封帕幫束營注節緟重行袋縛沿款列]</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>[片爿條支枝隻幅本尾口盆台囷組塊匹坩間粒味雙个蕊件個坵甌副項層部帖軀碗盤包箱籃齣句胎陣門橛目子頓癗]</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<MODIFIER>半</MODIFIER><ENTITY_noun>[片爿條支枝隻本尾幅口盆台囷組塊匹坩間粒味雙个蕊件個坵甌副項層部帖軀碗盤包箱籃齣句胎陣門橛目子喙]</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER", "ENTITY_noun"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ENTITY_num>[^<]</ENTITY_num><ENTITY_classifier>角</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>[^<逝擺輾歲角]仔?</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num"), ("", "ENTITY_classifier")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_measurement>[^<]+</ENTITY_measurement>"), ("</ENTITY_num><ENTITY_measurement>", "ENTITY_num"), ("", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>[一二三四五六七八九十]</ENTITY_num><ACTION_verb>成</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>公</ENTITY_noun><ENTITY_noun>尺</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "</ENTITY_noun><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>公斤</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>[逝遍輾]</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ACTION_eventQuantifier", "ACTION_eventQuantifier")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>跡</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_classifier>[逝擺輾]</ENTITY_classifier>"), ("</ENTITY_num><ENTITY_classifier>", "ENTITY_num", "ENTITY_classifier"), ("", "ACTION_eventQuantifier", "ACTION_eventQuantifier")),
    (re.compile("(?<=[緊未]</MODIFIER>)<MODIFIER>好</MODIFIER>"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ENTITY_oov>乎</ENTITY_oov>$"), ("ENTITY_oov",), ("CLAUSE_particle",)),
    (re.compile("<ENTITY_nouny>乎</ENTITY_nouny>$"), ("ENTITY_nouny",), ("CLAUSE_particle",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>[攬]</ACTION_verb><ACTION_verb>大</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "</ACTION_verb><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "", "ENTITY_measurement", "ENTITY_measurement")),
    (re.compile("<ENTITY_num>一</ENTITY_num><ENTITY_noun>雙手</ENTITY_noun><ENTITY_noun>骨</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>雙", "</ENTITY_noun><ENTITY_noun>", "ENTITY_num"), ("雙</ENTITY_classifier><ENTITY_noun>", "", "ENTITY_classifier")),
    (re.compile("<ENTITY_pronoun>這</ENTITY_pronoun><ENTITY_noun>[改場回擺遍]</ENTITY_noun>"), ("</ENTITY_pronoun><ENTITY_noun>", "ENTITY_pronoun", "ENTITY_noun"), ("", "ACTION_eventQuantifier", "ACTION_eventQuantifier")),
    (re.compile("<ENTITY_pronoun>這</ENTITY_pronoun><ACTION_verb>改</ACTION_verb>"), ("</ENTITY_pronoun><ACTION_verb>", "ENTITY_pronoun", "ACTION_verb"), ("", "ACTION_eventQuantifier", "ACTION_eventQuantifier")),
    (re.compile("<MODIFIER>一</MODIFIER><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</MODIFIER><ENTITY_classifier>", "MODIFIER"), ("", "ENTITY_classifier")),
    (re.compile("<ENTITY_classifier>錢</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("((?<=</ACTION_verb>)|(?<=</MODAL>))<ENTITY_classifier>落</ENTITY_classifier>"), ("ENTITY_classifier",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>[一二三四五六七八九十百千萬億兆]+</MODIFIER><ACTION_verb>箍</ACTION_verb>"), ("</MODIFIER><ACTION_verb>", "MODIFIER", "ACTION_verb"), ("", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ACTION_verb>箍</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "KNOWLEDGE_currency", "KNOWLEDGE_currency")),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><KNOWLEDGE_currency>[^<]+</KNOWLEDGE_currency>"), ("</ENTITY_num><KNOWLEDGE_currency>", "ENTITY_num"), ("", "KNOWLEDGE_currency")),
    (re.compile("<ENTITY_classifier>[^<]+箍</ENTITY_classifier>"), ("ENTITY_classifier",), ("KNOWLEDGE_currency",)),
    (re.compile("<ENTITY_classifier>時</ENTITY_classifier>"), ("classifier",), ("noun",)),
    (re.compile("(?<=<ENTITY_classifier>一時</ENTITY_classifier>)<ACTION_verb>煞"), ("<ACTION_verb>煞",), ("<FUNC_inner>煞</FUNC_inner><ACTION_verb>",)),
    (re.compile("<MODIFIER>煞</MODIFIER>(?=<ACTION_verb>)"), ("MODIFIER",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>煞著</ACTION_verb><ACTION_verb>驚</ACTION_verb>"), ("<ACTION_verb>煞著</ACTION_verb><ACTION_verb>驚</ACTION_verb>",), ("<FUNC_inner>煞</FUNC_inner><ACTION_verb>著驚</ACTION_verb>",)),
    (re.compile("<ACTION_verb>歹</ACTION_verb>(?=<ENTITY)"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<ACTION_verb>較</ACTION_verb><ENTITY_noun>捷運</ENTITY_noun><ACTION_verb>動</ACTION_verb>"), ("<ACTION_verb>較</ACTION_verb><ENTITY_noun>捷運</ENTITY_noun><ACTION_verb>動</ACTION_verb>",), ("<DegreeP>較捷</DegreeP><ACTION_verb>運動</ACTION_verb>",)),
    (re.compile("<ACTION_verb>較</ACTION_verb>((?=<ACTION)|(?=<RANGE_locality>))"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>歹睏</MODIFIER><ENTITY_noun>癖</ENTITY_noun>"), ("<MODIFIER>歹睏</MODIFIER><ENTITY_noun>癖</ENTITY_noun>",), ("<MODIFIER>歹</MODIFIER><ACTION_verb>睏癖</ACTION_verb>",)),
    # <CLAUSE/MODIFIER => QUANTIFIER>
    (re.compile("(?<=<CLAUSE_Q>幾</CLAUSE_Q><FUNC_conjunction>若</FUNC_conjunction>)<ACTION_verb>[^<]</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<CLAUSE_Q>幾</CLAUSE_Q><FUNC_conjunction>若</FUNC_conjunction>"), ("</CLAUSE_Q><FUNC_conjunction>", "CLAUSE_Q", "FUNC_conjunction"), ("", "QUANTIFIER", "QUANTIFIER")),
    (re.compile("<CLAUSE_Q>敢有</CLAUSE_Q><ACTION_verb>影</ACTION_verb>"), ("<CLAUSE_Q>敢有</CLAUSE_Q><ACTION_verb>影</ACTION_verb>",), ("<CLAUSE_Q>敢</CLAUSE_Q><MODIFIER>有影</MODIFIER>",)),
    (re.compile("<CLAUSE_Q>敢好</CLAUSE_Q><ENTITY_noun>勢</ENTITY_noun>"), ("<CLAUSE_Q>敢好</CLAUSE_Q><ENTITY_noun>勢</ENTITY_noun>",), ("<CLAUSE_Q>敢</CLAUSE_Q><MODIFIER>好勢</MODIFIER>",)),
    (re.compile("<MODIFIER>敢</MODIFIER>(?=<MODIFIER>猶)"), ("MODIFIER",), ("CLAUSE_Q",)),
    (re.compile("<MODIFIER>規[^<氣]</MODIFIER>"), ("MODIFIER",), ("QUANTIFIER",)),
    (re.compile("<ENTITY_noun>規[^<矩格]</ENTITY_noun>"), ("<ENTITY_noun>規",), ("<QUANTIFIER>規</QUANTIFIER><ENTITY_noun>",)),
    (re.compile("<ENTITY_noun>規身[^<]</ENTITY_noun>"), ("<ENTITY_noun>規身",), ("<QUANTIFIER>規</QUANTIFIER><ENTITY_noun>身",)),
    # </CLAUSE/MODIFIER => QUANTIFIER>
    (re.compile("((?<=</ENTITY_pronoun>)|(?<=</ENTITY_person>)|(?<=</ACTION_verb>)|(?<=</QUANTIFIER>)|(?<=</MODIFIER>))<CLAUSE_particle>咧</CLAUSE_particle>(?=<ACTION_verb>)"), ("CLAUSE_particle",), ("ASPECT",)),
    (re.compile("((?<=</FUNC_inner>)|(?<=</ACTION_verb>)|(?<=</FUNC_negation>))<FUNC_conjunction>閣</FUNC_conjunction>"), ("FUNC_conjunction",), ("MODIFIER",)),
    (re.compile("<ENTITY_noun>閣</ENTITY_noun>(?=<ACTION_verb>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<FUNC_conjunction>閣</FUNC_conjunction>(?=<ACTION_verb>[來去])"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("(?<!</MODIFIER>)<ACTION_verb>加</ACTION_verb>(?=<ACTION_verb>)"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>[加減]</MODIFIER>(?=<QUANTIFIER>一)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>會</ACTION_verb>(?=<ACTION_verb>出來)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>出來去</ACTION_verb>"), ("<ACTION_verb>出來去</ACTION_verb>",), ("<ACTION_verb>出來</ACTION_verb><ACTION_verb>去</ACTION_verb>",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>會</ACTION_verb>(?=<MODIFIER>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>[^<講]</ACTION_verb><ACTION_verb>會</ACTION_verb><ACTION_verb>去</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>", ), ("",)),
    (re.compile("<ACTION_verb>會</ACTION_verb><MODIFIER>好</MODIFIER><ACTION_verb>去</ACTION_verb>"), ("<ACTION_verb>會</ACTION_verb><MODIFIER>好</MODIFIER><ACTION_verb>去</ACTION_verb>",), ("<MODAL>會</MODAL><ACTION_verb>好去</ACTION_verb>",)),
    (re.compile("<LOCATION>安通</LOCATION><ACTION_verb>光</ACTION_verb>"), ("<LOCATION>安通</LOCATION><ACTION_verb>光</ACTION_verb>",), ("<ACTION_verb>安</ACTION_verb><MODIFIER>通光</MODIFIER>",)),
    (re.compile("<ENTITY_pronoun>自</ENTITY_pronoun><ACTION_verb>對</ACTION_verb>(?=<LOCATION>)"), ("</ENTITY_pronoun><ACTION_verb>", "ENTITY_pronoun", "ACTION_verb"), ("", "FUNC_inner", "FUNC_inner")),
    (re.compile("<ACTION_verb>對</ACTION_verb>((?=<TIME_justtime>)|(?=<RANGE)|(?=<LOCATION>))"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>了</ACTION_verb><MODIFIER>後</MODIFIER>"), ("</ACTION_verb><MODIFIER>", "ACTION_verb", "MODIFIER"), ("", "RANGE_period", "RANGE_period")),
    (re.compile("(?<=[門人]</ENTITY_noun>)<MODIFIER>後</MODIFIER>"), ("MODIFIER",), ("RANGE_locality",)),
    (re.compile("((?<=</ENTITY_pronoun>)|(?<=</ENTITY_person>)|(?<=</QUANTIFIER>))<ACTION_verb>對</ACTION_verb>(?=<ENTITY)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<MODIFIER>較</MODIFIER><ENTITY_noun>[^<]</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER", "ENTITY_noun"), ("", "DegreeP", "DegreeP")),
    (re.compile("<MODIFIER>摸</MODIFIER>(?=<ACTION_verb>著</ACTION_verb>)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("((?<=[^愛]</ACTION_verb>)|(?<=[^袂]</FUNC_negation>))<ACTION_verb>[著完]</ACTION_verb>"), ("ACTION_verb",), ("ASPECT",)),
    (re.compile("<ENTITY_pronoun>遮</ENTITY_pronoun><ACTION_verb>[懸撇]</ACTION_verb>"), ("</ENTITY_pronoun><ACTION_verb>", "ENTITY_pronoun", "ACTION_verb"), ("", "DegreeP", "DegreeP")),
    (re.compile("<ACTION_verb>大氣喘</ACTION_verb>"), ("<ACTION_verb>大氣喘</ACTION_verb>",), ("<ENTITY_noun>大氣</ENTITY_noun><ACTION_verb>喘</ACTION_verb>",)),
    (re.compile("(?<=</QUANTIFIER>)<ACTION_verb>泡</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_pronoun>逐</ENTITY_pronoun>(?=<ENTITY_noun>[^<]{1}</ENTITY_noun>)"), ("ENTITY_pronoun",), ("QUANTIFIER",)),
    (re.compile("<ENTITY_pronoun>逐</ENTITY_pronoun>(?=<ENTITY_noun>[^<]{2}</ENTITY_noun>)"), ("ENTITY_pronoun",), ("QUANTIFIER",)),
    (re.compile("<ENTITY_pronoun>逐</ENTITY_pronoun>(?=<TIME)"), ("ENTITY_pronoun",), ("QUANTIFIER",)),
    (re.compile("(?<=的</FUNC_inner>)<ACTION_verb>病</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=的</FUNC_inner>)<ACTION_verb>(決定|約束|跟綴)</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>[^<熱寒]人</ACTION_verb>"), ("人</ACTION_verb>",), ("</ACTION_verb><ENTITY_noun>人</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>緊[^<]</ACTION_verb>"), ("<ACTION_verb>緊",), ("<MODIFIER>緊</MODIFIER><ACTION_verb>",)),
    (re.compile("(?<=</FUNC_negation>)<ACTION_verb>蓋</ACTION_verb>(?=<MODIFIER>)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>蓋</ACTION_verb>(?=<MODIFIER>[濟懸惡])"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>蓋</ACTION_verb>(?=<ACTION_verb>)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("(?<=[食買]</ACTION_verb>)<ACTION_verb>炒</ACTION_verb><ENTITY_noun>飯</ENTITY_noun>"), ("</ACTION_verb><ENTITY_noun>", "ACTION_verb"), ("", "ENTITY_noun",)),
    (re.compile("(?<=</ENTITY_num>)<ACTION_verb>輪</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=</ENTITY_noun>)<ENTITY_noun>尾</ENTITY_noun>"), ("ENTITY_noun",), ("RANGE_locality",)),
    (re.compile("<ENTITY_oov>[^<]</ENTITY_oov><ENTITY_noun>[車船]</ENTITY_noun>"), ("</ENTITY_oov><ENTITY_noun>", "ENTITY_oov"), ("", "ENTITY_noun")),
    (re.compile("<ENTITY_noun>車</ENTITY_noun><ACTION_verb>做</ACTION_verb>(?=<ENTITY_noun>)"), ("<ENTITY_noun>車</ENTITY_noun><ACTION_verb>做</ACTION_verb>",), ("<ACTION_verb>車做</ACTION_verb>",)),
    (re.compile("<ENTITY_noun>[^<]+</ENTITY_noun><ENTITY_noun>[位冊廠貨底]</ENTITY_noun>"), ("</ENTITY_noun><ENTITY_noun>",), ("",)),
    (re.compile("<ACTION_verb>[^<]+</ACTION_verb><ENTITY_pronoun>者</ENTITY_pronoun>"), ("</ACTION_verb><ENTITY_pronoun>", "ACTION_verb", "ENTITY_pronoun"), ("", "ENTITY_noun", "ENTITY_noun")),
    # <N => V>
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>予</ACTION_verb>(?=<MODIFIER>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<ACTION_verb>騙囡仔</ACTION_verb>"),("<ACTION_verb>騙囡仔</ACTION_verb>",), ("<ACTION_verb>騙</ACTION_verb><ENTITY_noun>囡仔</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>兼洗</ACTION_verb><ENTITY_noun>褲</ENTITY_noun>"), ("<ACTION_verb>兼洗</ACTION_verb><ENTITY_noun>褲</ENTITY_noun>",), ("<ACTION_verb>兼</ACTION_verb><ACTION_verb>洗褲</ACTION_verb>",)),
    (re.compile("<ACTION_verb>[^<有予共配]</ACTION_verb><ENTITY_oov>[^<囝錢仔其]</ENTITY_oov>"), ("</ACTION_verb><ENTITY_oov>", "ENTITY_oov"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>[^<有予共配去來麻痠看等用兼連]</ACTION_verb><ENTITY_noun>[^<人囝錢輩碗虎]</ENTITY_noun>"), ("</ACTION_verb><ENTITY_noun>", "ENTITY_noun"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>[^<有予共配]</ACTION_verb><ENTITY_nouny>[^<]</ENTITY_nouny>"), ("</ACTION_verb><ENTITY_nouny>", "ENTITY_nouny"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>[^<有予共配]</ACTION_verb><ENTITY_nounHead>[^<]</ENTITY_nounHead>"), ("</ACTION_verb><ENTITY_nounHead>", "ENTITY_nounHead"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>予</ACTION_verb>(?=<ACTION_verb>)"), ("ACTION_verb",), ("ACTION_lightVerb",)),
    (re.compile("(?<=<ACTION_verb>[^<]{2}</ACTION_verb>)<ENTITY_noun>戶</ENTITY_noun>"), ("noun",), ("nounHead",)),
    (re.compile("(?<=真</MODIFIER>)<ACTION_verb>光</ACTION_verb>"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>袂歹</MODIFIER><ENTITY_noun>面相</ENTITY_noun><ACTION_verb>看</ACTION_verb>"), ("<MODIFIER>袂歹</MODIFIER><ENTITY_noun>面相</ENTITY_noun><ACTION_verb>看</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><MODIFIER>歹</MODIFIER><ENTITY_noun>面</ENTITY_noun><ACTION_verb>相看</ACTION_verb>",)),
    (re.compile("<ACTION_verb>袂直</ACTION_verb>"), ("<ACTION_verb>袂直</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><MODIFIER>直</MODIFIER>",)),
    (re.compile("<LOCATION>安通</LOCATION><ENTITY_noun>光</ENTITY_noun>"), ("<LOCATION>安通</LOCATION><ENTITY_noun>光</ENTITY_noun>",), ("<ACTION_verb>安</ACTION_verb><MODIFIER>通光</MODIFIER>",)),
    (re.compile("<ACTION_verb>[^<想要著欲愛敢學去來會講用贏通予並共有了捌]</ACTION_verb><ACTION_verb>[^<較予光欲死有愛會起共]</ACTION_verb>(?!<ACTION_verb>[著去])(?!<FUNC_negation>袂)(?!<MODIFIER>濟)"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ACTION_verb>[想掠]</ACTION_verb><ACTION_verb>看有</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>看",), ("看</ACTION_verb><ACTION_verb>",)),
    (re.compile("(?<=有</ACTION_verb>)<ACTION_verb>縫</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>欲死</ACTION_verb><ACTION_verb>[^<]</ACTION_verb>"), ("<ACTION_verb>欲死</ACTION_verb><ACTION_verb>",), ("<ACTION_verb>欲</ACTION_verb><ACTION_verb><ACTION_verb>死",)),
    (re.compile("<MODIFIER>死</MODIFIER>((?=<ENTITY_noun>道友)|(?=<ENTITY_noun>貧道)|(?=<ACTION_verb>有))"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("(?<=</FUNC_negation>)<MODIFIER>死</MODIFIER>"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>死</MODIFIER>$"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>[熱寒]</MODIFIER><ENTITY_noun>死人</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>死", "MODIFIER"), ("死</ACTION_verb><ENTITY_noun>", "ACTION_verb")),
    (re.compile("<MODIFIER>貪</MODIFIER>(?=<ENTITY_noun>人)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>懸</ACTION_verb><ENTITY_noun>崎</ENTITY_noun>"), ("<ACTION_verb>懸</ACTION_verb><ENTITY_noun>崎</ENTITY_noun>",), ("<ACTION_verb></ACTION_verb><ENTITY_noun>懸崎</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>愛食</ACTION_verb><ENTITY_noun>色</ENTITY_noun>"), ("<ACTION_verb>愛食</ACTION_verb><ENTITY_noun>色</ENTITY_noun>",), ("<ACTION_verb>愛</ACTION_verb><ACTION_verb>食色</ACTION_verb>",)),
    (re.compile("<ACTION_verb>愛食</ACTION_verb><MODIFIER>飽</MODIFIER>"), ("<ACTION_verb>愛食</ACTION_verb><MODIFIER>飽</MODIFIER>",), ("<ACTION_verb>愛</ACTION_verb><ACTION_verb>食飽</ACTION_verb>",)),
    (re.compile("<TIME_justtime>天光</TIME_justtime>(?=<CLAUSE_particle>)"), ("TIME_justtime",), ("ACTION_verb",)),
    (re.compile("(?<=<ACTION_lightVerb>[^<]</ACTION_lightVerb><ENTITY_pronoun>[^<]</ENTITY_pronoun>)<ENTITY_noun>針</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("(?<=<ACTION_lightVerb>[^<]</ACTION_lightVerb><ENTITY_pronoun>[^<]{2}</ENTITY_pronoun>)<ENTITY_noun>針</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("(?<=</ENTITY_noun>)<ENTITY_noun>收入</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("(?<=</MODIFIER>)<ENTITY_noun>擔當</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    # </N => V>
    (re.compile("<ACTION_verb>[足傷]</ACTION_verb>((?=<ACTION_verb>)|(?=<MODIFIER>)|(?=<FUNC_negation>無))"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>通</ACTION_verb><MODIFIER>好</MODIFIER>(?=<ACTION_verb>)"), ("</ACTION_verb><MODIFIER>", "ACTION_verb", "MODIFIER"), ("", "MODAL", "MODAL")),
    (re.compile("<ACTION_verb>通</ACTION_verb>((?=<ACTION_verb>)|(?=<MODIFIER>較))"), ("ACTION_verb",), ("MODAL",)),
    (re.compile("((?<=一[^<]</MODIFIER>)|(?<=</FUNC_inner>)|(?<=</ACTION_verb>))<ACTION_verb>會</ACTION_verb>"), ("ACTION_verb",), ("MODAL",)),
    (re.compile("<ACTION_verb>會</ACTION_verb>(?=<ACTION)"), ("ACTION_verb",), ("MODAL",)),
    (re.compile("(?<=</FUNC_negation>)<ENTITY_noun>買賣</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>落</ENTITY_noun>(?=<FUNC_inner>)"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>[^<]起</ACTION_verb><ACTION_verb>來</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ACTION_verb>起來</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ENTITY_noun>才</ENTITY_noun>((?=<ACTION_verb>)|(?=<FUNC_negation>))"), ("ENTITY_noun",), ("FUNC_inner",)),
    (re.compile("<MODIFIER>敢</MODIFIER>((?=<FUNC_negation>)|(?=<ACTION_verb>欲))"), ("MODIFIER",), ("FUNC_inner",)),
    (re.compile("(?<=</ENTITY_classifier>)<ACTION_verb>數</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<FUNC_inner>予伊</FUNC_inner>(?!<ACTION_verb>)"), ("<FUNC_inner>予伊</FUNC_inner>",), ("<ACTION_verb>予</ACTION_verb><ENTITY_pronoun>伊</ENTITY_pronoun>",)),
    (re.compile("<FUNC_inner>予伊</FUNC_inner>(?=<ACTION_verb>)"), ("<FUNC_inner>予伊</FUNC_inner>",), ("<ACTION_lightVerb>予</ACTION_lightVerb><ENTITY_pronoun>伊</ENTITY_pronoun>",)),
    (re.compile("<ACTION_verb>予</ACTION_verb>((?=<ENTITY_pronoun>[^<]</ENTITY_pronoun><ACTION_verb>)|(?=<ENTITY_possessive>)|(?=<ENTITY_noun>[^<]人)|(?=<ENTITY_noun>人))"), ("verb",), ("lightVerb",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>予</ACTION_verb>(?=<ENTITY_pronoun>伊</ENTITY_pronoun><MODIFIER>)"), ("ACTION_verb",), ("FUNC_inner",)),
    (re.compile("<MODIFIER>([^<])</MODIFIER><MODIFIER>\\1</MODIFIER>"), ("</MODIFIER><MODIFIER>",), ("",)),
    (re.compile("<ACTION_verb>毋值</ACTION_verb>"), ("<ACTION_verb>毋值</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>值</ACTION_verb>",)),
    (re.compile("<ACTION_verb>毋甘</ACTION_verb>"), ("<ACTION_verb>毋甘</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>甘</ACTION_verb>",)),
    (re.compile("<ACTION_verb>毋驚</ACTION_verb>"), ("<ACTION_verb>毋驚</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>驚</ACTION_verb>",)),
    (re.compile("<ACTION_verb>毋知</ACTION_verb>"), ("<ACTION_verb>毋知</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>知</ACTION_verb>",)),
    (re.compile("<ACTION_verb>毋知影</ACTION_verb>"), ("<ACTION_verb>毋知影</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>知影</ACTION_verb>",)),
    (re.compile("<ENTITY_noun>毋成物</ENTITY_noun>"), ("<ENTITY_noun>毋成物</ENTITY_noun>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>成物</ACTION_verb>",)),
    (re.compile("<FUNC_negation>毋通</FUNC_negation><ACTION_verb>知</ACTION_verb>"), ("<FUNC_negation>毋通</FUNC_negation><ACTION_verb>知</ACTION_verb>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>通知</ACTION_verb>",)),
    (re.compile("<IDIOM>毋甘願</IDIOM>"), ("<IDIOM>毋甘願</IDIOM>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>甘願</ACTION_verb>",)),
    (re.compile("<FUNC_conjunction>毋管</FUNC_conjunction>"), ("<FUNC_conjunction>毋管</FUNC_conjunction>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>管</ACTION_verb>",)),
    (re.compile("<MODIFIER>無才</MODIFIER><ENTITY_noun>情</ENTITY_noun>"), ("才</MODIFIER><ENTITY_noun>", "MODIFIER"), ("</FUNC_negation><ENTITY_noun>才", "FUNC_negation")),
    (re.compile("<MODIFIER>無才</MODIFIER><ACTION_verb>調</ACTION_verb>"), ("才</MODIFIER><ACTION_verb>", "MODIFIER", "ACTION_verb"), ("</FUNC_negation><ENTITY_noun>才", "FUNC_negation", "ENTITY_noun")),
    (re.compile("<FUNC_negation>無愛</FUNC_negation>(?=<ENTITY)"), ("<FUNC_negation>無愛</FUNC_negation>",), ("<FUNC_negation>無</FUNC_negation><ACTION_verb>愛</ACTION_verb>",)),
    (re.compile("<ACTION_verb>無愛</ACTION_verb>"), ("<ACTION_verb>無愛</ACTION_verb>",), ("<FUNC_negation>無</FUNC_negation><ACTION_verb>愛</ACTION_verb>",)),
    (re.compile("<ACTION_verb>無去</ACTION_verb>"), ("<ACTION_verb>無去</ACTION_verb>",), ("<FUNC_negation>無</FUNC_negation><ACTION_verb>去</ACTION_verb>",)),
    (re.compile("<FUNC_negation>免數想</FUNC_negation>"), ("<FUNC_negation>免數想</FUNC_negation>",), ("<FUNC_negation>免</FUNC_negation><ACTION_verb>數想</ACTION_verb>",)),
    (re.compile("<MODIFIER>無論</MODIFIER><ENTITY_classifier>歲</ENTITY_classifier>"), ("<MODIFIER>無論</MODIFIER><ENTITY_classifier>歲</ENTITY_classifier>",), ("<<FUNC_negation>無</FUNC_negation><ACTION_verb>論歲</ACTION_verb>",)),
    (re.compile("<MODIFIER>無路</MODIFIER><ENTITY_noun>燈</ENTITY_noun>"), ("<MODIFIER>無路</MODIFIER><ENTITY_noun>燈</ENTITY_noun>",), ("<FUNC_negation>無</FUNC_negation><ENTITY_noun>路燈</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>哈哈</ACTION_verb>"), ("<ACTION_verb>哈哈</ACTION_verb>",), ("<CLAUSE_particle>哈</CLAUSE_particle><CLAUSE_particle>哈</CLAUSE_particle>",)),
    (re.compile("<MODIFIER>毋敢</MODIFIER>"), ("<MODIFIER>毋敢</MODIFIER>",), ("<FUNC_negation>毋</FUNC_negation><ACTION_verb>敢</ACTION_verb>",)),
    (re.compile("((?<=<MODIFIER>[較誠真]</MODIFIER>)|(?<=</FUNC_degreeHead>)|(?<=</CLAUSE_Q>))<ACTION_verb>艱苦</ACTION_verb>"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>[較誠真]</MODIFIER><MODIFIER>[^<]{1,2}</MODIFIER>"), ("</MODIFIER><MODIFIER>", "MODIFIER"), ("", "DegreeP")),
    (re.compile("<MODIFIER>[較誠真]</MODIFIER><ENTITY_noun>趣味</ENTITY_noun>"), ("</MODIFIER><ENTITY_noun>", "MODIFIER", "ENTITY_noun"), ("", "DegreeP", "DegreeP")),
    (re.compile("<MODIFIER>較快</MODIFIER><ACTION_verb>活</ACTION_verb>"), ("<MODIFIER>較快</MODIFIER><ACTION_verb>活</ACTION_verb>",), ("<MODIFIER>較</MODIFIER><MODIFIER>快活</MODIFIER>",)),
    (re.compile("<ACTION_verb>[^<]+</ACTION_verb><ACTION_verb>光</ACTION_verb><ACTION_verb>光</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ACTION_verb>[^<]{1,2}</ACTION_verb><ACTION_verb>看覓</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>", "ACTION_verb"), ("", "ACTION_quantifiedVerb")),
    (re.compile("<ACTION_verb>[^<]+看</ACTION_verb><ENTITY_nouny>嘜</ENTITY_nouny>"), ("</ACTION_verb><ENTITY_nouny>", "ACTION_verb", "ENTITY_noun"), ("", "ACTION_quantifiedVerb", "ACTION_quantifiedVerb")),
    (re.compile("<ACTION_verb>[^<]+</ACTION_verb><VerbP>看嘜</VerbP>"), ("</ACTION_verb><VerbP>", "ACTION_verb", "VerbP"), ("", "ACTION_quantifiedVerb", "ACTION_quantifiedVerb")),
    (re.compile("<ENTITY_noun>一口灶</ENTITY_noun>"), ("<ENTITY_noun>一口灶</ENTITY_noun>",), ("<ENTITY_classifier>一口</ENTITY_classifier><ENTITY_noun>灶</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>[^<]{1,2}</ACTION_verb><MODIFIER>一下</MODIFIER>"), ("</ACTION_verb><MODIFIER>", "ACTION_verb", "MODIFIER"), ("", "ACTION_quantifiedVerb", "ACTION_quantifiedVerb")),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><MODIFIER>破</MODIFIER>"), ("</ACTION_verb><MODIFIER>", "MODIFIER"), ("", "ACTION_verb")),
    (re.compile("<MODIFIER>[^<]</MODIFIER><MODIFIER>一下</MODIFIER>"), ("</MODIFIER><MODIFIER>", "MODIFIER"), ("", "ACTION_quantifiedVerb")),
    (re.compile("<MODIFIER>[^<]</MODIFIER><MODIFIER>[^<嘛]</MODIFIER>"), ("</MODIFIER><MODIFIER>",), ("",)),
    (re.compile("(?<=焐</ACTION_verb>)<ENTITY_num>一</ENTITY_num><ACTION_verb>搭</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("(?<=做</ACTION_verb>)<ENTITY_num>一</ENTITY_num><ACTION_verb>睏</ACTION_verb>"), ("</ENTITY_num><ACTION_verb>", "ENTITY_num", "ACTION_verb"), ("", "ENTITY_classifier", "ENTITY_classifier")),
    (re.compile("<ENTITY_noun>便</ENTITY_noun>$"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<ENTITY_noun>叔伯的</ENTITY_noun>"), ("<ENTITY_noun>叔伯的</ENTITY_noun>",), ("<ENTITY_pronoun>叔伯</ENTITY_pronoun>",)),
    (re.compile("<ENTITY_pronoun>𪜶</ENTITY_pronoun>(?=<ENTITY_pronoun>[舅叔嬸嫂婆爺爹娘父公爸母某翁]{1,2}</ENTITY_pronoun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<ENTITY_pronoun>[𪜶恁]</ENTITY_pronoun>(?=<ENTITY_pronoun>阿[舅叔嬸嫂婆爺爹娘父公爸母某翁]</ENTITY_pronoun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<ENTITY_pronoun>[阮𪜶你我他伊]</ENTITY_pronoun>(?=<ENTITY_noun>[阿老][舅叔嬸嫂婆爺爹娘父公爸母某翁]</ENTITY_noun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<ENTITY_pronoun>[阮𪜶你我他伊]</ENTITY_pronoun>(?=<ENTITY_noun>[家兜厝舅叔嬸嫂婆爺爹娘父公爸母某翁]</ENTITY_noun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<ENTITY_pronoun>[阮𪜶你我他伊]</ENTITY_pronoun>(?=<ENTITY_noun>查[某甫][囝孫]</ENTITY_noun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<ENTITY_pronoun>[阮𪜶你我他伊]</ENTITY_pronoun>(?=<ENTITY_noun>[兄姊姐][弟妹]仔?</ENTITY_noun>)"), ("ENTITY_pronoun",), ("ENTITY_possessive",)),
    (re.compile("<MODIFIER>惡</MODIFIER>(?=<ENTITY_pronoun>我)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>捌</ACTION_verb><ENTITY_noun>惡人</ENTITY_noun>"), ("<ACTION_verb>捌</ACTION_verb><ENTITY_noun>惡人</ENTITY_noun>",), ("<ASPECT>捌</ASPECT><ACTION_verb>惡</ACTION_verb><ENTITY_noun>人</ENTITY_noun>",)),
    (re.compile("(?<=</ENTITY_possessive>)<ENTITY_noun>[阿老]?[舅叔嬸婆爺爹娘父公爸母某翁]</ENTITY_noun>"), ("ENTITY_noun",), ("ENTITY_pronoun",)),
    (re.compile("<ENTITY_pronoun>阿[^舅叔嬸婆爺爹娘父公爸母某翁]</ENTITY_pronoun><ENTITY_noun>[伯姨]</ENTITY_noun>"), ("</ENTITY_pronoun><ENTITY_noun>", "ENTITY_noun"), ("", "ENTITY_pronoun")),
    (re.compile("<ENTITY_pronoun>[^<]+</ENTITY_pronoun><ENTITY_oov>仔</ENTITY_oov>"), ("</ENTITY_pronoun><ENTITY_oov>", "ENTITY_oov"), ("", "ENTITY_pronoun")),
    (re.compile("<ENTITY_pronoun>彼</ENTITY_pronoun><ENTITY_classifier>[^<]</ENTITY_classifier>"), ("</ENTITY_pronoun><ENTITY_classifier>", "ENTITY_pronoun", "ENTITY_classifier"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ACTION_verb>攏會</ACTION_verb>"), ("<ACTION_verb>攏會</ACTION_verb>",), ("<QUANTIFIER>攏</QUANTIFIER><MODAL>會</MODAL>",)),
    (re.compile("<ACTION_verb>看會</ACTION_verb>"), ("<ACTION_verb>看會</ACTION_verb>",), ("<ACTION_verb>看</ACTION_verb><FUNC_inner>會</FUNC_inner>",)),
    (re.compile("(?<=</ENTITY_pronoun>)<ACTION_verb>缺</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<MODIFIER>固定</MODIFIER>(?=<ACTION_verb>予)"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>定</ACTION_verb>(?=<ACTION_verb>會)"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<MODIFIER>總</MODIFIER>(?=<ACTION_verb>)"), ("MODIFIER",), ("QUANTIFIER",)),
    (re.compile("<MODIFIER>[苦亂]</MODIFIER><ACTION_verb>[^<]</ACTION_verb>"), ("</MODIFIER><ACTION_verb>","MODIFIER"), ("", "ACTION_verb")),
    (re.compile("<MODIFIER>上教</MODIFIER>"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("<ENTITY_num>[^<]+</ENTITY_num><ENTITY_noun>工仔</ENTITY_noun>"), ("</ENTITY_num><ENTITY_noun>", "ENTITY_num", "ENTITY_noun"), ("", "TIME_justtime", "TIME_justtime")),
    (re.compile("<ACTION_verb>拄</ACTION_verb>(?=<ACTION_verb>)"), ("ACTION_verb",), ("TIME_justtime",)),
    (re.compile("<ASPECT>拄咧</ASPECT>(?!<ACTION_verb>)"), ("ASPECT",), ("ACTION_verb",)),
    (re.compile("<MODIFIER>到今</MODIFIER>"), ("<MODIFIER>到今</MODIFIER>",), ("<ACTION_verb>到</ACTION_verb><TIME_justtime>今</TIME_justtime>",)),
    (re.compile("MODIFIER>到尾</MODIFIER><ACTION_verb>站</ACTION_verb>"), ("MODIFIER>到尾</MODIFIER><ACTION_verb>站</ACTION_verb>",), ("ACTION_verb>到</ACTION_verb><ENTITY_noun>尾站</ENTITY_noun>",)),
    (re.compile("((?<=</LOCATION>)|(?<=</ENTITY_noun>))<ENTITY_noun>內</ENTITY_noun>"), ("ENTITY_noun",), ("RANGE_locality",)),
    (re.compile("<ENTITY_classifier>才</ENTITY_classifier>"), ("ENTITY_classifier",), ("FUNC_inner",)),
    (re.compile("<MODIFIER>[平較]</MODIFIER><ACTION_verb>懸</ACTION_verb>"), ("MODIFIER", "ACTION_verb"), ("FUNC_degreeHead", "MODIFIER")),
    (re.compile("<MODIFIER>平</MODIFIER>(?=<MODIFIER>)"), ("MODIFIER",), ("FUNC_degreeHead",)),
    (re.compile("<ENTITY_noun>太</ENTITY_noun>(?=<MODIFIER>)"), ("ENTITY_noun",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>較</ACTION_verb><ACTION_verb>[清明]</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>", "/ACTION_verb", "ACTION_verb"), ("</FUNC_degreeHead><MODIFIER>", "/MODIFIER", "FUNC_degreeHead")),
    # <degreeHead + MODIFIER => DegreeP>
    (re.compile("<FUNC_degreeHead>[^<]</FUNC_degreeHead><MODIFIER>[^<]+</MODIFIER>"), ("</FUNC_degreeHead><MODIFIER>", "FUNC_degreeHead", "MODIFIER"), ("", "DegreeP", "DegreeP")),
    (re.compile("<ACTION_verb>較</ACTION_verb><MODIFIER>[^<]</MODIFIER>"), ("</ACTION_verb><MODIFIER>", "ACTION_verb", "MODIFIER"), ("", "DegreeP", "DegreeP")),
    (re.compile("<ENTITY_noun>閣</ENTITY_noun>(?=<ACTION_verb>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<ENTITY_pronoun>遮</ENTITY_pronoun>(?=<MODIFIER>[^<真])"), ("ENTITY_pronoun",), ("FUNC_degreeHead",)),
    #(re.compile("<FUNC_degreeHead>足</FUNC_degreeHead><ACTION_verb>[^<]{1,3}</ACTION_verb>"), ("</FUNC_degreeHead><ACTION_verb>", "FUNC_degreeHead"), ("", "ACTION_verb")),
    (re.compile("<ACTION_verb>足</ACTION_verb>(?=<FUNC_negation>袂)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ACTION_verb>會</ACTION_verb><ACTION_verb>開</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<MODIFIER>袂得</MODIFIER><ACTION_verb>失</ACTION_verb>"), ("<MODIFIER>袂得</MODIFIER><ACTION_verb>失</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>得失</ACTION_verb>",)),
    (re.compile("<ACTION_verb>真失</ACTION_verb><ENTITY_noun>禮</ENTITY_noun>"), ("<ACTION_verb>真失</ACTION_verb><ENTITY_noun>禮</ENTITY_noun>",), ("<FUNC_degreeHead>真</FUNC_degreeHead><ACTION_verb>失禮</ACTION_verb>",)),
    # </degreeHead + MODIFIER => DegreeP>
    (re.compile("<ENTITY_pronoun>阮</ENTITY_pronoun>(?=<ENTITY_pronoun>)"), ("pronoun",), ("possessive",)),
    (re.compile("(?<=來</ACTION_verb>)<ENTITY_noun>輸贏</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_noun>未</ENTITY_noun>$"), ("ENTITY_noun",), ("CLAUSE_Q",)),
    (re.compile("<MODIFIER>猶未</MODIFIER>"), ("<MODIFIER>猶未</MODIFIER>",), ("<FUNC_inner>猶</FUNC_inner><FUNC_negation>未</FUNC_negation>",)),
    (re.compile("<ACTION_verb>袂爽</ACTION_verb><MODIFIER>快</MODIFIER>"), ("<ACTION_verb>袂爽</ACTION_verb><MODIFIER>快</MODIFIER>",), ("<FUNC_negation>袂</FUNC_negation><MODIFIER>爽快</MODIFIER>",)),
    (re.compile("<IDIOM>變啥魍</IDIOM>"), ("<IDIOM>變啥魍</IDIOM>",), ("<ACTION_verb>變</ACTION_verb><CLAUSE_Q>啥魍</CLAUSE_Q>",)),
    (re.compile("<IDIOM>料想袂到</IDIOM>"), ("<IDIOM>料想袂到</IDIOM>",), ("<ACTION_verb>料想</ACTION_verb><FUNC_negation>袂</FUNC_negation><ACTION_verb>到</ACTION_verb>",)),
    (re.compile("<IDIOM>陳三五娘</IDIOM>"), ("<IDIOM>陳三五娘</IDIOM>",), ("<ENTITY_person>陳三</ENTITY_person><ENTITY_person>五娘</ENTITY_person>",)),
    (re.compile("<IDIOM>卸責任</IDIOM>"), ("<IDIOM>卸責任</IDIOM>",), ("<ACTION_verb>卸<ACTION_verb><ENTITY_noun>責任</ENTITY_noun>",)),
    (re.compile("<FUNC_conjunction>袂輸</FUNC_conjunction>"), ("<FUNC_conjunction>袂輸</FUNC_conjunction>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>輸</ACTION_verb>",)),
    (re.compile("<ACTION_verb>袂直</ACTION_verb>"), ("<ACTION_verb>袂直</ACTION_verb>",), ("<FUNC_negation>袂</FUNC_negation><ACTION_verb>直</ACTION_verb>",)),
    (re.compile("<ACTION_verb>[^<欲來]+</ACTION_verb><ACTION_verb>起</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("<ACTION_verb>緊抹</ACTION_verb>"), ("<ACTION_verb>緊抹</ACTION_verb>",), ("<MODIFIER>緊</MODIFIER><ACTION_verb>抹</ACTION_verb>",)),
    (re.compile("<MODIFIER>驚某</MODIFIER>"), ("<MODIFIER>驚某</MODIFIER>",), ("<ACTION_verb>驚</ACTION_verb><ENTITY_pronoun>某</ENTITY_pronoun>",)),
    (re.compile("<MODIFIER>驚見笑</MODIFIER>"), ("<MODIFIER>驚見笑</MODIFIER>",), ("<ACTION_verb>驚</ACTION_verb><ACTION_verb>見笑</ACTION_verb>",)),
    # <V => VP>
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ASPECT>[著完]</ASPECT>"), ("</ACTION_verb><ASPECT>", "ACTION_verb", "ASPECT"), ("", "VerbP", "VerbP")),
    (re.compile("<ACTION_verb>[^<]</ACTION_verb><ACTION_verb>過</ACTION_verb>"), ("</ACTION_verb><ACTION_verb>", "ACTION_verb"), ("", "VerbP")),
    (re.compile("<ACTION_verb>[^<有]</ACTION_verb><MODIFIER>好</MODIFIER>"), ("</ACTION_verb><MODIFIER>","MODIFIER"), ("","ACTION_verb")),
    # </V => VP>
    (re.compile("<ENTITY_noun>手指</ENTITY_noun>(?=<ENTITY_noun>月)"), ("指</ENTITY_noun>",), ("</ENTITY_noun><ACTION_verb>指</ACTION_verb>",)),
    (re.compile("(?<=</TIME_justtime>)<MODIFIER>以前</MODIFIER>"), ("MODIFIER",), ("RANGE_period",)),
    (re.compile("((?<=</ENTITY_pronoun>)|(?<=肯</ACTION_verb>))<ACTION_verb>共</ACTION_verb>"), ("verb",), ("lightVerb",)),
    (re.compile("<ACTION_verb>共</ACTION_verb>((?=<ENTITY_pronoun>)|(?=<ACTION_verb>)|(?=<ENTITY_noun>)|(?=<ENTITY_person>)|(?=<ENTITY_DetPhrase>)|(?=<ENTITY_noun>人))"), ("verb",), ("lightVerb",)),
    (re.compile("<ACTION_verb>[^<]{2}</ACTION_verb><ENTITY_nounHead>[^<]+</ENTITY_nounHead>"), ("</ACTION_verb><ENTITY_nounHead>","ACTION_verb", "ENTITY_nounHead"), ("", "ENTITY_noun","ENTITY_noun")),
    (re.compile("<ACTION_verb>\ue705山</ACTION_verb><ENTITY_noun>崎</ENTITY_noun>"), ("<ACTION_verb>\ue705山</ACTION_verb><ENTITY_noun>崎</ENTITY_noun>",), ("<ACTION_verb>\ue705</ACTION_verb><ENTITY_noun>山崎</ENTITY_noun>",)),
    (re.compile("(?<=[海山]</ENTITY_noun>)<ACTION_verb>[上下]</ACTION_verb>"), ("ACTION_verb",), ("RANGE_locality",)),
    (re.compile("<ACTION_verb>上</ACTION_verb>(?=<ACTION_verb>[愛佮討])"), ("ACTION_verb",), ("MODIFIER",)),
    (re.compile("<ACTION_verb>上</ACTION_verb><MODIFIER>[^<]{1,2}</MODIFIER>(?=<FUNC_inner>)"), ("</ACTION_verb><MODIFIER>", "ACTION_verb", "MODIFIER"), ("", "DegreeP", "DegreeP")),
    (re.compile("<FUNC_conjunction>就按呢</FUNC_conjunction>"), ("<FUNC_conjunction>就按呢</FUNC_conjunction>",), ("<FUNC_inner>就</FUNC_inner><ENTITY_DetPhrase>按呢</ENTITY_DetPhrase>",)),
    (re.compile("(?<=</QUANTIFIER>)<FUNC_inner>就</FUNC_inner>"), ("FUNC_inner",), ("ACTION_verb",)),
    (re.compile("(?<=</QUANTIFIER>)<ACTION_verb>塗</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=</ENTITY_noun>)<ENTITY_noun>邊</ENTITY_noun>"), ("ENTITY_noun",), ("RANGE_locality",)),
    (re.compile("<ENTITY_noun>[^<]{2}邊</ENTITY_noun>"), ("邊</ENTITY_noun>",), ("</ENTITY_noun><RANGE_locality>邊</RANGE_locality>",)),
    (re.compile("<ENTITY_noun>[海山河港]</ENTITY_noun><RANGE_locality>邊</RANGE_locality>"), ("</ENTITY_noun><RANGE_locality>", "RANGE_locality"), ("", "ENTITY_noun")),
    (re.compile("(?<=[身車]</ENTITY_noun>)<ACTION_verb>上</ACTION_verb>"), ("ACTION_verb",), ("RANGE_locality",)),
    (re.compile("<ACTION_verb>較</ACTION_verb>(?=<MODIFIER>)"), ("ACTION_verb",), ("FUNC_degreeHead",)),
    (re.compile("<ENTITY_noun>頭</ENTITY_noun><ENTITY_classifier>[^<]+</ENTITY_classifier>"), ("</ENTITY_noun><ENTITY_classifier>", "ENTITY_noun", "ENTITY_classifier"), ("", "ENTITY_DetPhrase", "ENTITY_DetPhrase")),
    (re.compile("<ENTITY_noun>頭</ENTITY_noun>(?=<TIME_justtime>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("<FUNC_inner>當</FUNC_inner>(?=<ENTITY_pronoun>)"), ("FUNC_inner",), ("ACTION_verb",)),
    (re.compile("<FUNC_conjunction>閣</FUNC_conjunction>$"), ("FUNC_conjunction",), ("CLAUSE_particle",)),
    (re.compile("<ENTITY_pronoun>遐</ENTITY_pronoun>((?=<MODIFIER>)|(?=<ACTION_verb>大聲))"), ("ENTITY_pronoun",), ("FUNC_degreeHead",)),
    (re.compile("<FUNC_degreeHead>[^<]+</FUNC_degreeHead><MODIFIER>[^<]+</MODIFIER>"), ("</FUNC_degreeHead><MODIFIER>", "FUNC_degreeHead", "MODIFIER"), ("", "DegreeP", "DegreeP")),
    (re.compile("<ACTION_verb>譬論講</ACTION_verb>"), ("<ACTION_verb>譬論講</ACTION_verb>",), ("<FUNC_inter>譬論</FUNC_inter><ACTION_verb>講</ACTION_verb>",)),
    (re.compile("<MODIFIER>若無</MODIFIER>"), ("<MODIFIER>若無</MODIFIER>",), ("<FUNC_inter>若</FUNC_inter><FUNC_negation>無</FUNC_negation>",)),
    (re.compile("<ACTION_verb>通</ACTION_verb><FUNC_inner>用</FUNC_inner>"), ("ACTION_verb", "FUNC_inner"), ("MODAL", "ACTION_verb")),
    (re.compile("(?<!敢)</ACTION_verb><ACTION_verb>(?=落去</ACTION_verb>)"), ("</ACTION_verb><ACTION_verb>",), ("",)),
    (re.compile("(?<=</ENTITY_pronoun>)<MODIFIER>亂</MODIFIER>$"), ("MODIFIER",), ("ACTION_verb",)),
    (re.compile("(?<=</ENTITY_classifier>)<ACTION_verb>[結花薰]</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>結果</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("<ENTITY_noun>牽豬哥</ENTITY_noun>"), ("<ENTITY_noun>牽豬哥</ENTITY_noun>",), ("<ACTION_verb>牽</ACTION_verb><ENTITY_noun>豬哥</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>牽牛</ACTION_verb><ENTITY_noun>車</ENTITY_noun>"), ("<ACTION_verb>牽牛</ACTION_verb><ENTITY_noun>車</ENTITY_noun>",), ("<ACTION_verb>牽</ACTION_verb><ENTITY_noun>牛車</ENTITY_noun>",)),
    (re.compile("<ACTION_verb>根據</ACTION_verb>$"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("((?<=</ACTION_verb>)|(?<=</FUNC_inner>))<TIME_justtime>過去</TIME_justtime>$"), ("TIME_justtime",), ("ACTION_verb",)),
    (re.compile("(?<=</TIME_justtime>)<MODIFIER>前</MODIFIER>"), ("MODIFIER",), ("RANGE_period",)),
    (re.compile("(?<=<FUNC_inner>的</FUNC_inner>)<ACTION_verb>(艱苦|經過)</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=<FUNC_inner>的</FUNC_inner>)<MODIFIER>[^<]+</MODIFIER>$"), ("MODIFIER",), ("ENTITY_noun",)),
    (re.compile("<ACTION_verb>[^<>]+</ACTION_verb><ASPECT>過</ASPECT>"), ("</ACTION_verb><ASPECT>", "ACTION_verb", "ASPECT"), ("", "VerbP", "VerbP")),
    (re.compile("<FUNC_conjunction>閣</FUNC_conjunction>(?=<ACTION_verb>[^<]</ACTION_verb><ENTITY_classifier>)"), ("FUNC_conjunction",), ("MODIFIER",)),
    (re.compile("<QUANTIFIER>都</QUANTIFIER>(?=<ACTION_verb>)"), ("QUANTIFIER",), ("MODIFIER",)),
    (re.compile("<ENTITY_noun>串</ENTITY_noun>(?=<ACTION_verb>)"), ("ENTITY_noun",), ("MODIFIER",)),
    (re.compile("(?<=>[<^]{2}</ACTION_verb>)<ACTION_verb>過</ACTION_verb>$"), ("ACTION_verb",), ("ASPECT",)),
    (re.compile("(?<=</ENTITY_classifier>)<ACTION_verb>計畫</ACTION_verb>"), ("ACTION_verb",), ("ENTITY_noun",)),
    (re.compile("(?<=路</ENTITY_noun>)<ENTITY_noun>[頭口]</ENTITY_noun>"), ("ENTITY_noun",), ("RANGE_locality",)),
    (re.compile("(?<=</ACTION_verb>)<ACTION_verb>過</ACTION_verb>$"), ("ACTION_verb",), ("ASPECT",)),
    (re.compile("(?<=<ACTION_verb>[^<]{2}</ACTION_verb>)<ASPECT>著</ASPECT>"), ("ASPECT",), ("ACTION_verb",)),
    (re.compile("<ENTITY_measurement>一兩</ENTITY_measurement>(?=<ENTITY_noun>日)"), ("ENTITY_measurement",), ("ENTITY_num",)),
    (re.compile("(?<=招夫</ACTION_verb>)<ENTITY_noun>養子</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ENTITY_classifier>歲</ENTITY_classifier>"), ("ENTITY_classifier",), ("ENTITY_noun",)),
    (re.compile("(?<=</KNOWLEDGE_currency>)<MODIFIER_color>銀</MODIFIER_color>"), ("MODIFIER_color",), ("ENTITY_noun",)),
    (re.compile("(?<=</ACTION_verb>)<ENTITY_noun>膏</ENTITY_noun>"), ("ENTITY_noun",), ("ACTION_verb",)),
    (re.compile("<ACTION_verb>[^<]{2}</ACTION_verb><ENTITY_oov>[機處]</ENTITY_oov>"), ("</ACTION_verb><ENTITY_oov>", "ACTION_verb", "_oov"), ("", "ENTITY_noun", "_noun")),
    (re.compile("<TIME_justtime>[^<]+</TIME_justtime><ENTITY_oov>仔</ENTITY_oov>"), ("</TIME_justtime><ENTITY_oov>", "ENTITY_oov"), ("", "TIME_justtime")),
]